// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#ifndef TINY_SHAPE_DATA_H
#define TINY_SHAPE_DATA_H

/// position xyz, unused w, normal, uv
static const float cube_vertices[] = {
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  0,  1,  0,
    0,  // 0
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  0,  1,  1,
    0,  // 1
    1.0f,  1.0f,  1.0f,  1.0f, 0,  0,  1,  1,
    1,  // 2
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  0,  1,  0,
    1,  // 3

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0,
    0,  // 4
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  0,  -1, 1,
    0,  // 5
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  0,  -1, 1,
    1,  // 6
    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0,
    1,  // 7

    -1.0f, -1.0f, -1.0f, 1.0f, -1, 0,  0,  0, 0,
    -1.0f, 1.0f,  -1.0f, 1.0f, -1, 0,  0,  1, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, -1, 0,  0,  1, 1,
    -1.0f, -1.0f, 1.0f,  1.0f, -1, 0,  0,  0, 1,

    1.0f,  -1.0f, -1.0f, 1.0f, 1,  0,  0,  0, 0,
    1.0f,  1.0f,  -1.0f, 1.0f, 1,  0,  0,  1, 0,
    1.0f,  1.0f,  1.0f,  1.0f, 1,  0,  0,  1, 1,
    1.0f,  -1.0f, 1.0f,  1.0f, 1,  0,  0,  0, 1,

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0, 0,
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  -1, 0,  1, 0,
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  -1, 0,  1, 1,
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0, 1,

    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  1,  0,  0, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  1,  0,  1, 0,
    1.0f,  1.0f,  1.0f,  1.0f, 0,  1,  0,  1, 1,
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  1,  0,  0, 1,
};

/// position xyz, unused w, normal, uv
static const float cube_vertices_textured[] = {
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  0,  1,  0.75,
    0.25,  // 0//back
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  0,  1,  1,
    0.25,  // 1
    1.0f,  1.0f,  1.0f,  1.0f, 0,  0,  1,  1,
    0,  // 2
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  0,  1,  0.75,
    0,  // 3

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0.5,
    0.25,  // 4//front
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  0,  -1, 0.25,
    0.25,  // 5
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0.25,
    0,  // 6
    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  0,  -1, 0.5,
    0,  // 7

    -1.0f, -1.0f, -1.0f, 1.0f, -1, 0,  0,  0.5,
    0,  // Right
    -1.0f, 1.0f,  -1.0f, 1.0f, -1, 0,  0,  0.75, 0,
    -1.0f, 1.0f,  1.0f,  1.0f, -1, 0,  0,  0.75, 0.25,
    -1.0f, -1.0f, 1.0f,  1.0f, -1, 0,  0,  0.5,  0.25,

    1.0f,  -1.0f, -1.0f, 1.0f, 1,  0,  0,  0.25,
    0.5,  // Left
    1.0f,  1.0f,  -1.0f, 1.0f, 1,  0,  0,  0.25, 0.25,
    1.0f,  1.0f,  1.0f,  1.0f, 1,  0,  0,  0.,   .25,
    1.0f,  -1.0f, 1.0f,  1.0f, 1,  0,  0,  0,    .5,

    -1.0f, -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0.25,
    0.5,  // bottom
    -1.0f, -1.0f, 1.0f,  1.0f, 0,  -1, 0,  0.25, 0.25,
    1.0f,  -1.0f, 1.0f,  1.0f, 0,  -1, 0,  0.5,  0.25,
    1.0f,  -1.0f, -1.0f, 1.0f, 0,  -1, 0,  0.5,  0.5,

    -1.0f, 1.0f,  -1.0f, 1.0f, 0,  1,  0,  0,
    0,  // top
    -1.0f, 1.0f,  1.0f,  1.0f, 0,  1,  0,  0,    0.25,
    1.0f,  1.0f,  1.0f,  1.0f, 0,  1,  0,  0.25, 0.25,
    1.0f,  1.0f,  -1.0f, 1.0f, 0,  1,  0,  0.25, 0,
};

/// position xyz, unused w, normal, uv
static const float cube_vertices2[] = {
    -1.5f, -0.5f, 0.5f,  0.0f, 0,  0,  1,  0,
    0,  // 0
    1.5f,  -0.5f, 0.5f,  0.0f, 0,  0,  1,  1,
    0,  // 1
    1.5f,  0.5f,  0.5f,  0.0f, 0,  0,  1,  1,
    1,  // 2
    -1.5f, 0.5f,  0.5f,  0.0f, 0,  0,  1,  0,
    1,  // 3

    -1.5f, -0.5f, -0.5f, 0.5f, 0,  0,  -1, 0,
    0,  // 4
    1.5f,  -0.5f, -0.5f, 0.5f, 0,  0,  -1, 1,
    0,  // 5
    1.5f,  0.5f,  -0.5f, 0.5f, 0,  0,  -1, 1,
    1,  // 6
    -1.5f, 0.5f,  -0.5f, 0.5f, 0,  0,  -1, 0,
    1,  // 7

    -1.5f, -0.5f, -0.5f, 0.5f, -1, 0,  0,  0, 0,
    -1.5f, 0.5f,  -0.5f, 0.5f, -1, 0,  0,  1, 0,
    -1.5f, 0.5f,  0.5f,  0.5f, -1, 0,  0,  1, 1,
    -1.5f, -0.5f, 0.5f,  0.5f, -1, 0,  0,  0, 1,

    1.5f,  -0.5f, -0.5f, 0.5f, 1,  0,  0,  0, 0,
    1.5f,  0.5f,  -0.5f, 0.5f, 1,  0,  0,  1, 0,
    1.5f,  0.5f,  0.5f,  0.5f, 1,  0,  0,  1, 1,
    1.5f,  -0.5f, 0.5f,  0.5f, 1,  0,  0,  0, 1,

    -1.5f, -0.5f, -0.5f, 0.5f, 0,  -1, 0,  0, 0,
    -1.5f, -0.5f, 0.5f,  0.5f, 0,  -1, 0,  1, 0,
    1.5f,  -0.5f, 0.5f,  0.5f, 0,  -1, 0,  1, 1,
    1.5f,  -0.5f, -0.5f, 0.5f, 0,  -1, 0,  0, 1,

    -1.5f, 0.5f,  -0.5f, 0.5f, 0,  1,  0,  0, 0,
    -1.5f, 0.5f,  0.5f,  0.5f, 0,  1,  0,  1, 0,
    1.5f,  0.5f,  0.5f,  0.5f, 0,  1,  0,  1, 1,
    1.5f,  0.5f,  -0.5f, 0.5f, 0,  1,  0,  0, 1,
};

static const int cube_indices[] = {0,  1,  2,  0,  2,  3,  // ground face
                                   6,  5,  4,  7,  6,  4,  // top face
                                   10, 9,  8,  11, 10, 8,  12, 13,
                                   14, 12, 14, 15, 18, 17, 16, 19,
                                   18, 16, 20, 21, 22, 20, 22, 23};

static const float textured_sphere_vertices[] = {
    -0.000000, 0.000000,  -0.500000, 0.000000,  0.000000,  0.000000,  -1.000000,
    0.500005,  0.500000,  0.101590,  -0.073809, -0.483975, 0.000000,  0.210900,
    -0.153300, -0.965400, 0.595431,  0.430670,  -0.038803, -0.119426, -0.483975,
    0.000000,  -0.080600, -0.248000, -0.965400, 0.463557,  0.387821,  0.361804,
    -0.262863, -0.223610, 0.000000,  0.723600,  -0.525700, -0.447200, 0.839854,
    0.253089,  0.304773,  -0.221428, -0.328759, 0.000000,  0.604200,  -0.439000,
    -0.665000, 0.786285,  0.292009,  0.406365,  -0.147619, -0.251150, 0.000000,
    0.815200,  -0.285700, -0.503800, 0.881711,  0.361339,  -0.000000, 0.000000,
    -0.500000, 0.000000,  0.000000,  0.000000,  -1.000000, 0.500005,  0.500000,
    -0.038803, -0.119426, -0.483975, 0.000000,  -0.080600, -0.248000, -0.965400,
    0.463557,  0.387821,  -0.125574, 0.000000,  -0.483974, 0.000000,  -0.260800,
    0.000000,  -0.965400, 0.382052,  0.500000,  -0.000000, 0.000000,  -0.500000,
    0.000000,  0.000000,  0.000000,  -1.000000, 0.500005,  0.500000,  -0.125574,
    0.000000,  -0.483974, 0.000000,  -0.260800, 0.000000,  -0.965400, 0.382052,
    0.500000,  -0.038803, 0.119426,  -0.483975, 0.000000,  -0.080600, 0.248000,
    -0.965400, 0.463557,  0.612180,  -0.000000, 0.000000,  -0.500000, 0.000000,
    0.000000,  0.000000,  -1.000000, 0.500005,  0.500000,  -0.038803, 0.119426,
    -0.483975, 0.000000,  -0.080600, 0.248000,  -0.965400, 0.463557,  0.612180,
    0.101590,  0.073809,  -0.483975, 0.000000,  0.210900,  0.153300,  -0.965400,
    0.595431,  0.569330,  0.361804,  -0.262863, -0.223610, 0.000000,  0.723600,
    -0.525700, -0.447200, 0.839854,  0.253089,  0.406365,  -0.147619, -0.251150,
    0.000000,  0.815200,  -0.285700, -0.503800, 0.881711,  0.361339,  0.430349,
    -0.221429, -0.125575, 0.000000,  0.865000,  -0.439000, -0.243000, 0.904240,
    0.292008,  -0.138194, -0.425325, -0.223610, 0.000000,  -0.276400, -0.850600,
    -0.447200, 0.370198,  0.100486,  -0.014820, -0.432092, -0.251151, 0.000000,
    -0.019800, -0.863600, -0.503800, 0.486085,  0.094129,  -0.077608, -0.477711,
    -0.125576, 0.000000,  -0.150200, -0.958300, -0.243000, 0.427107,  0.051278,
    -0.447213, 0.000000,  -0.223608, 0.000000,  -0.894400, 0.000000,  -0.447200,
    0.079931,  0.500000,  -0.415525, -0.119427, -0.251149, 0.000000,  -0.827400,
    -0.248000, -0.503800, 0.109696,  0.387821,  -0.478313, -0.073809, -0.125575,
    0.000000,  -0.957800, -0.153300, -0.243000, 0.050718,  0.430670,  -0.138194,
    0.425325,  -0.223610, 0.000000,  -0.276400, 0.850600,  -0.447200, 0.370198,
    0.899515,  -0.241986, 0.358282,  -0.251151, 0.000000,  -0.491500, 0.710300,
    -0.503800, 0.272704,  0.836541,  -0.218003, 0.432094,  -0.125576, 0.000000,
    -0.441700, 0.863600,  -0.243000, 0.295231,  0.905874,  0.361804,  0.262863,
    -0.223610, 0.000000,  0.723600,  0.525700,  -0.447200, 0.839854,  0.746912,
    0.265970,  0.340856,  -0.251151, 0.000000,  0.523600,  0.687000,  -0.503800,
    0.749836,  0.820172,  0.343579,  0.340858,  -0.125576, 0.000000,  0.684800,
    0.687000,  -0.243000, 0.822735,  0.820174,  0.361804,  -0.262863, -0.223610,
    0.000000,  0.723600,  -0.525700, -0.447200, 0.839854,  0.253089,  0.430349,
    -0.221429, -0.125575, 0.000000,  0.865000,  -0.439000, -0.243000, 0.904240,
    0.292008,  0.343579,  -0.340858, -0.125576, 0.000000,  0.684800,  -0.687000,
    -0.243000, 0.822735,  0.179827,  -0.138194, -0.425325, -0.223610, 0.000000,
    -0.276400, -0.850600, -0.447200, 0.370198,  0.100486,  -0.077608, -0.477711,
    -0.125576, 0.000000,  -0.150200, -0.958300, -0.243000, 0.427107,  0.051278,
    -0.218003, -0.432094, -0.125576, 0.000000,  -0.441700, -0.863600, -0.243000,
    0.295231,  0.094127,  -0.447213, 0.000000,  -0.223608, 0.000000,  -0.894400,
    0.000000,  -0.447200, 0.079931,  0.500000,  -0.478313, -0.073809, -0.125575,
    0.000000,  -0.957800, -0.153300, -0.243000, 0.050718,  0.430670,  -0.478313,
    0.073809,  -0.125575, 0.000000,  -0.957800, 0.153300,  -0.243000, 0.050718,
    0.569331,  -0.138194, 0.425325,  -0.223610, 0.000000,  -0.276400, 0.850600,
    -0.447200, 0.370198,  0.899515,  -0.218003, 0.432094,  -0.125576, 0.000000,
    -0.441700, 0.863600,  -0.243000, 0.295231,  0.905874,  -0.077608, 0.477711,
    -0.125576, 0.000000,  -0.150200, 0.958300,  -0.243000, 0.427107,  0.948723,
    0.361804,  0.262863,  -0.223610, 0.000000,  0.723600,  0.525700,  -0.447200,
    0.839854,  0.746912,  0.343579,  0.340858,  -0.125576, 0.000000,  0.684800,
    0.687000,  -0.243000, 0.822735,  0.820174,  0.430349,  0.221429,  -0.125575,
    0.000000,  0.865000,  0.439000,  -0.243000, 0.904240,  0.707992,  0.138194,
    -0.425325, 0.223610,  0.000000,  0.276400,  -0.850600, 0.447200,  0.629814,
    0.100486,  0.241986,  -0.358282, 0.251151,  0.000000,  0.491500,  -0.710300,
    0.503800,  0.727307,  0.163460,  0.116411,  -0.358282, 0.328760,  0.000000,
    0.230800,  -0.710300, 0.665000,  0.609353,  0.163460,  -0.361804, -0.262863,
    0.223610,  0.000000,  -0.723600, -0.525700, 0.447200,  0.160157,  0.253089,
    -0.265970, -0.340856, 0.251151,  0.000000,  -0.523600, -0.687000, 0.503800,
    0.250175,  0.179828,  -0.304773, -0.221428, 0.328759,  0.000000,  -0.604200,
    -0.439000, 0.665000,  0.213727,  0.292009,  -0.361804, 0.262863,  0.223610,
    0.000000,  -0.723600, 0.525700,  0.447200,  0.160157,  0.746912,  -0.406365,
    0.147619,  0.251150,  0.000000,  -0.815200, 0.285700,  0.503800,  0.118300,
    0.638661,  -0.304773, 0.221428,  0.328759,  0.000000,  -0.604200, 0.439000,
    0.665000,  0.213727,  0.707992,  0.138194,  0.425325,  0.223610,  0.000000,
    0.276400,  0.850600,  0.447200,  0.629814,  0.899515,  0.014820,  0.432092,
    0.251151,  0.000000,  0.019800,  0.863600,  0.503800,  0.513925,  0.905872,
    0.116411,  0.358282,  0.328760,  0.000000,  0.230800,  0.710300,  0.665000,
    0.609353,  0.836541,  0.447213,  0.000000,  0.223608,  0.000000,  0.894400,
    0.000000,  0.447200,  0.920080,  0.500000,  0.415525,  0.119427,  0.251149,
    0.000000,  0.827400,  0.248000,  0.503800,  0.890316,  0.612180,  0.376721,
    0.000000,  0.328757,  0.000000,  0.746800,  0.000000,  0.665000,  0.853866,
    0.500000,  0.125573,  0.000000,  0.483974,  0.000000,  0.260800,  0.000000,
    0.965400,  0.617959,  0.500000,  0.038803,  0.119426,  0.483975,  0.000000,
    0.080600,  0.248000,  0.965400,  0.536454,  0.612180,  -0.000000, 0.000000,
    0.500000,  0.000000,  0.000000,  0.000000,  1.000000,  0.500005,  0.500000,
    0.262865,  0.000000,  0.425326,  0.000000,  0.525700,  0.000000,  0.850600,
    0.746920,  0.500000,  0.180900,  0.131432,  0.447215,  0.000000,  0.368200,
    0.267500,  0.890400,  0.669929,  0.623456,  0.125573,  0.000000,  0.483974,
    0.000000,  0.260800,  0.000000,  0.965400,  0.617959,  0.500000,  0.376721,
    0.000000,  0.328757,  0.000000,  0.746800,  0.000000,  0.665000,  0.853866,
    0.500000,  0.319097,  0.131432,  0.361805,  0.000000,  0.631700,  0.267500,
    0.727500,  0.799739,  0.623457,  0.262865,  0.000000,  0.425326,  0.000000,
    0.525700,  0.000000,  0.850600,  0.746920,  0.500000,  0.125573,  0.000000,
    0.483974,  0.000000,  0.260800,  0.000000,  0.965400,  0.617959,  0.500000,
    0.180900,  0.131432,  0.447215,  0.000000,  0.368200,  0.267500,  0.890400,
    0.669929,  0.623456,  0.038803,  0.119426,  0.483975,  0.000000,  0.080600,
    0.248000,  0.965400,  0.536454,  0.612180,  0.180900,  0.131432,  0.447215,
    0.000000,  0.368200,  0.267500,  0.890400,  0.669929,  0.623456,  0.081228,
    0.249998,  0.425327,  0.000000,  0.162500,  0.500000,  0.850600,  0.576304,
    0.734827,  0.038803,  0.119426,  0.483975,  0.000000,  0.080600,  0.248000,
    0.965400,  0.536454,  0.612180,  0.262865,  0.000000,  0.425326,  0.000000,
    0.525700,  0.000000,  0.850600,  0.746920,  0.500000,  0.319097,  0.131432,
    0.361805,  0.000000,  0.631700,  0.267500,  0.727500,  0.799739,  0.623457,
    0.180900,  0.131432,  0.447215,  0.000000,  0.368200,  0.267500,  0.890400,
    0.669929,  0.623456,  0.319097,  0.131432,  0.361805,  0.000000,  0.631700,
    0.267500,  0.727500,  0.799739,  0.623457,  0.223605,  0.262864,  0.361806,
    0.000000,  0.449600,  0.518100,  0.727500,  0.710042,  0.746913,  0.180900,
    0.131432,  0.447215,  0.000000,  0.368200,  0.267500,  0.890400,  0.669929,
    0.623456,  0.180900,  0.131432,  0.447215,  0.000000,  0.368200,  0.267500,
    0.890400,  0.669929,  0.623456,  0.223605,  0.262864,  0.361806,  0.000000,
    0.449600,  0.518100,  0.727500,  0.710042,  0.746913,  0.081228,  0.249998,
    0.425327,  0.000000,  0.162500,  0.500000,  0.850600,  0.576304,  0.734827,
    0.223605,  0.262864,  0.361806,  0.000000,  0.449600,  0.518100,  0.727500,
    0.710042,  0.746913,  0.116411,  0.358282,  0.328760,  0.000000,  0.230800,
    0.710300,  0.665000,  0.609353,  0.836541,  0.081228,  0.249998,  0.425327,
    0.000000,  0.162500,  0.500000,  0.850600,  0.576304,  0.734827,  0.376721,
    0.000000,  0.328757,  0.000000,  0.746800,  0.000000,  0.665000,  0.853866,
    0.500000,  0.415525,  0.119427,  0.251149,  0.000000,  0.827400,  0.248000,
    0.503800,  0.890316,  0.612180,  0.319097,  0.131432,  0.361805,  0.000000,
    0.631700,  0.267500,  0.727500,  0.799739,  0.623457,  0.415525,  0.119427,
    0.251149,  0.000000,  0.827400,  0.248000,  0.503800,  0.890316,  0.612180,
    0.344095,  0.249998,  0.262868,  0.000000,  0.688200,  0.500000,  0.525700,
    0.823220,  0.734828,  0.319097,  0.131432,  0.361805,  0.000000,  0.631700,
    0.267500,  0.727500,  0.799739,  0.623457,  0.319097,  0.131432,  0.361805,
    0.000000,  0.631700,  0.267500,  0.727500,  0.799739,  0.623457,  0.344095,
    0.249998,  0.262868,  0.000000,  0.688200,  0.500000,  0.525700,  0.823220,
    0.734828,  0.223605,  0.262864,  0.361806,  0.000000,  0.449600,  0.518100,
    0.727500,  0.710042,  0.746913,  0.344095,  0.249998,  0.262868,  0.000000,
    0.688200,  0.500000,  0.525700,  0.823220,  0.734828,  0.241986,  0.358282,
    0.251151,  0.000000,  0.491500,  0.710300,  0.503800,  0.727307,  0.836541,
    0.223605,  0.262864,  0.361806,  0.000000,  0.449600,  0.518100,  0.727500,
    0.710042,  0.746913,  0.223605,  0.262864,  0.361806,  0.000000,  0.449600,
    0.518100,  0.727500,  0.710042,  0.746913,  0.241986,  0.358282,  0.251151,
    0.000000,  0.491500,  0.710300,  0.503800,  0.727307,  0.836541,  0.116411,
    0.358282,  0.328760,  0.000000,  0.230800,  0.710300,  0.665000,  0.609353,
    0.836541,  0.241986,  0.358282,  0.251151,  0.000000,  0.491500,  0.710300,
    0.503800,  0.727307,  0.836541,  0.138194,  0.425325,  0.223610,  0.000000,
    0.276400,  0.850600,  0.447200,  0.629814,  0.899515,  0.116411,  0.358282,
    0.328760,  0.000000,  0.230800,  0.710300,  0.665000,  0.609353,  0.836541,
    0.038803,  0.119426,  0.483975,  0.000000,  0.080600,  0.248000,  0.965400,
    0.536454,  0.612180,  -0.101590, 0.073809,  0.483975,  0.000000,  -0.210900,
    0.153200,  0.965400,  0.404580,  0.569330,  -0.000000, 0.000000,  0.500000,
    0.000000,  0.000000,  0.000000,  1.000000,  0.500005,  0.500000,  0.081228,
    0.249998,  0.425327,  0.000000,  0.162500,  0.500000,  0.850600,  0.576304,
    0.734827,  -0.069099, 0.212660,  0.447215,  0.000000,  -0.140600, 0.432800,
    0.890400,  0.435100,  0.699755,  0.038803,  0.119426,  0.483975,  0.000000,
    0.080600,  0.248000,  0.965400,  0.536454,  0.612180,  0.116411,  0.358282,
    0.328760,  0.000000,  0.230800,  0.710300,  0.665000,  0.609353,  0.836541,
    -0.026395, 0.344093,  0.361806,  0.000000,  -0.059200, 0.683500,  0.727500,
    0.475212,  0.823213,  0.081228,  0.249998,  0.425327,  0.000000,  0.162500,
    0.500000,  0.850600,  0.576304,  0.734827,  0.038803,  0.119426,  0.483975,
    0.000000,  0.080600,  0.248000,  0.965400,  0.536454,  0.612180,  -0.069099,
    0.212660,  0.447215,  0.000000,  -0.140600, 0.432800,  0.890400,  0.435100,
    0.699755,  -0.101590, 0.073809,  0.483975,  0.000000,  -0.210900, 0.153200,
    0.965400,  0.404580,  0.569330,  -0.069099, 0.212660,  0.447215,  0.000000,
    -0.140600, 0.432800,  0.890400,  0.435100,  0.699755,  -0.212661, 0.154506,
    0.425327,  0.000000,  -0.425300, 0.309000,  0.850600,  0.300249,  0.645130,
    -0.101590, 0.073809,  0.483975,  0.000000,  -0.210900, 0.153200,  0.965400,
    0.404580,  0.569330,  0.081228,  0.249998,  0.425327,  0.000000,  0.162500,
    0.500000,  0.850600,  0.576304,  0.734827,  -0.026395, 0.344093,  0.361806,
    0.000000,  -0.059200, 0.683500,  0.727500,  0.475212,  0.823213,  -0.069099,
    0.212660,  0.447215,  0.000000,  -0.140600, 0.432800,  0.890400,  0.435100,
    0.699755,  -0.026395, 0.344093,  0.361806,  0.000000,  -0.059200, 0.683500,
    0.727500,  0.475212,  0.823213,  -0.180902, 0.293889,  0.361806,  0.000000,
    -0.353800, 0.587700,  0.727500,  0.330081,  0.776056,  -0.069099, 0.212660,
    0.447215,  0.000000,  -0.140600, 0.432800,  0.890400,  0.435100,  0.699755,
    -0.069099, 0.212660,  0.447215,  0.000000,  -0.140600, 0.432800,  0.890400,
    0.435100,  0.699755,  -0.180902, 0.293889,  0.361806,  0.000000,  -0.353800,
    0.587700,  0.727500,  0.330081,  0.776056,  -0.212661, 0.154506,  0.425327,
    0.000000,  -0.425300, 0.309000,  0.850600,  0.300249,  0.645130,  -0.180902,
    0.293889,  0.361806,  0.000000,  -0.353800, 0.587700,  0.727500,  0.330081,
    0.776056,  -0.304773, 0.221428,  0.328759,  0.000000,  -0.604200, 0.439000,
    0.665000,  0.213727,  0.707992,  -0.212661, 0.154506,  0.425327,  0.000000,
    -0.425300, 0.309000,  0.850600,  0.300249,  0.645130,  0.116411,  0.358282,
    0.328760,  0.000000,  0.230800,  0.710300,  0.665000,  0.609353,  0.836541,
    0.014820,  0.432092,  0.251151,  0.000000,  0.019800,  0.863600,  0.503800,
    0.513925,  0.905872,  -0.026395, 0.344093,  0.361806,  0.000000,  -0.059200,
    0.683500,  0.727500,  0.475212,  0.823213,  0.014820,  0.432092,  0.251151,
    0.000000,  0.019800,  0.863600,  0.503800,  0.513925,  0.905872,  -0.131434,
    0.404506,  0.262869,  0.000000,  -0.262900, 0.809000,  0.525700,  0.376547,
    0.879960,  -0.026395, 0.344093,  0.361806,  0.000000,  -0.059200, 0.683500,
    0.727500,  0.475212,  0.823213,  -0.026395, 0.344093,  0.361806,  0.000000,
    -0.059200, 0.683500,  0.727500,  0.475212,  0.823213,  -0.131434, 0.404506,
    0.262869,  0.000000,  -0.262900, 0.809000,  0.525700,  0.376547,  0.879960,
    -0.180902, 0.293889,  0.361806,  0.000000,  -0.353800, 0.587700,  0.727500,
    0.330081,  0.776056,  -0.131434, 0.404506,  0.262869,  0.000000,  -0.262900,
    0.809000,  0.525700,  0.376547,  0.879960,  -0.265970, 0.340856,  0.251151,
    0.000000,  -0.523600, 0.687000,  0.503800,  0.250175,  0.820172,  -0.180902,
    0.293889,  0.361806,  0.000000,  -0.353800, 0.587700,  0.727500,  0.330081,
    0.776056,  -0.180902, 0.293889,  0.361806,  0.000000,  -0.353800, 0.587700,
    0.727500,  0.330081,  0.776056,  -0.265970, 0.340856,  0.251151,  0.000000,
    -0.523600, 0.687000,  0.503800,  0.250175,  0.820172,  -0.304773, 0.221428,
    0.328759,  0.000000,  -0.604200, 0.439000,  0.665000,  0.213727,  0.707992,
    -0.265970, 0.340856,  0.251151,  0.000000,  -0.523600, 0.687000,  0.503800,
    0.250175,  0.820172,  -0.361804, 0.262863,  0.223610,  0.000000,  -0.723600,
    0.525700,  0.447200,  0.160157,  0.746912,  -0.304773, 0.221428,  0.328759,
    0.000000,  -0.604200, 0.439000,  0.665000,  0.213727,  0.707992,  -0.101590,
    0.073809,  0.483975,  0.000000,  -0.210900, 0.153200,  0.965400,  0.404580,
    0.569330,  -0.101590, -0.073809, 0.483975,  0.000000,  -0.210900, -0.153200,
    0.965400,  0.404580,  0.430670,  -0.000000, 0.000000,  0.500000,  0.000000,
    0.000000,  0.000000,  1.000000,  0.500005,  0.500000,  -0.212661, 0.154506,
    0.425327,  0.000000,  -0.425300, 0.309000,  0.850600,  0.300249,  0.645130,
    -0.223605, 0.000000,  0.447215,  0.000000,  -0.455100, 0.000000,  0.890400,
    0.289970,  0.500000,  -0.101590, 0.073809,  0.483975,  0.000000,  -0.210900,
    0.153200,  0.965400,  0.404580,  0.569330,  -0.304773, 0.221428,  0.328759,
    0.000000,  -0.604200, 0.439000,  0.665000,  0.213727,  0.707992,  -0.335408,
    0.081229,  0.361805,  0.000000,  -0.668300, 0.154900,  0.727500,  0.184951,
    0.576300,  -0.212661, 0.154506,  0.425327,  0.000000,  -0.425300, 0.309000,
    0.850600,  0.300249,  0.645130,  -0.101590, 0.073809,  0.483975,  0.000000,
    -0.210900, 0.153200,  0.965400,  0.404580,  0.569330,  -0.223605, 0.000000,
    0.447215,  0.000000,  -0.455100, 0.000000,  0.890400,  0.289970,  0.500000,
    -0.101590, -0.073809, 0.483975,  0.000000,  -0.210900, -0.153200, 0.965400,
    0.404580,  0.430670,  -0.223605, 0.000000,  0.447215,  0.000000,  -0.455100,
    0.000000,  0.890400,  0.289970,  0.500000,  -0.212661, -0.154506, 0.425327,
    0.000000,  -0.425300, -0.309000, 0.850600,  0.300249,  0.354870,  -0.101590,
    -0.073809, 0.483975,  0.000000,  -0.210900, -0.153200, 0.965400,  0.404580,
    0.430670,  -0.212661, 0.154506,  0.425327,  0.000000,  -0.425300, 0.309000,
    0.850600,  0.300249,  0.645130,  -0.335408, 0.081229,  0.361805,  0.000000,
    -0.668300, 0.154900,  0.727500,  0.184951,  0.576300,  -0.223605, 0.000000,
    0.447215,  0.000000,  -0.455100, 0.000000,  0.890400,  0.289970,  0.500000,
    -0.335408, 0.081229,  0.361805,  0.000000,  -0.668300, 0.154900,  0.727500,
    0.184951,  0.576300,  -0.335408, -0.081229, 0.361805,  0.000000,  -0.668300,
    -0.154900, 0.727500,  0.184951,  0.423701,  -0.223605, 0.000000,  0.447215,
    0.000000,  -0.455100, 0.000000,  0.890400,  0.289970,  0.500000,  -0.223605,
    0.000000,  0.447215,  0.000000,  -0.455100, 0.000000,  0.890400,  0.289970,
    0.500000,  -0.335408, -0.081229, 0.361805,  0.000000,  -0.668300, -0.154900,
    0.727500,  0.184951,  0.423701,  -0.212661, -0.154506, 0.425327,  0.000000,
    -0.425300, -0.309000, 0.850600,  0.300249,  0.354870,  -0.335408, -0.081229,
    0.361805,  0.000000,  -0.668300, -0.154900, 0.727500,  0.184951,  0.423701,
    -0.304773, -0.221428, 0.328759,  0.000000,  -0.604200, -0.439000, 0.665000,
    0.213727,  0.292009,  -0.212661, -0.154506, 0.425327,  0.000000,  -0.425300,
    -0.309000, 0.850600,  0.300249,  0.354870,  -0.304773, 0.221428,  0.328759,
    0.000000,  -0.604200, 0.439000,  0.665000,  0.213727,  0.707992,  -0.406365,
    0.147619,  0.251150,  0.000000,  -0.815200, 0.285700,  0.503800,  0.118300,
    0.638661,  -0.335408, 0.081229,  0.361805,  0.000000,  -0.668300, 0.154900,
    0.727500,  0.184951,  0.576300,  -0.406365, 0.147619,  0.251150,  0.000000,
    -0.815200, 0.285700,  0.503800,  0.118300,  0.638661,  -0.425324, 0.000000,
    0.262868,  0.000000,  -0.850600, 0.000000,  0.525700,  0.100491,  0.500000,
    -0.335408, 0.081229,  0.361805,  0.000000,  -0.668300, 0.154900,  0.727500,
    0.184951,  0.576300,  -0.335408, 0.081229,  0.361805,  0.000000,  -0.668300,
    0.154900,  0.727500,  0.184951,  0.576300,  -0.425324, 0.000000,  0.262868,
    0.000000,  -0.850600, 0.000000,  0.525700,  0.100491,  0.500000,  -0.335408,
    -0.081229, 0.361805,  0.000000,  -0.668300, -0.154900, 0.727500,  0.184951,
    0.423701,  -0.425324, 0.000000,  0.262868,  0.000000,  -0.850600, 0.000000,
    0.525700,  0.100491,  0.500000,  -0.406365, -0.147619, 0.251150,  0.000000,
    -0.815200, -0.285700, 0.503800,  0.118300,  0.361339,  -0.335408, -0.081229,
    0.361805,  0.000000,  -0.668300, -0.154900, 0.727500,  0.184951,  0.423701,
    -0.335408, -0.081229, 0.361805,  0.000000,  -0.668300, -0.154900, 0.727500,
    0.184951,  0.423701,  -0.406365, -0.147619, 0.251150,  0.000000,  -0.815200,
    -0.285700, 0.503800,  0.118300,  0.361339,  -0.304773, -0.221428, 0.328759,
    0.000000,  -0.604200, -0.439000, 0.665000,  0.213727,  0.292009,  -0.406365,
    -0.147619, 0.251150,  0.000000,  -0.815200, -0.285700, 0.503800,  0.118300,
    0.361339,  -0.361804, -0.262863, 0.223610,  0.000000,  -0.723600, -0.525700,
    0.447200,  0.160157,  0.253089,  -0.304773, -0.221428, 0.328759,  0.000000,
    -0.604200, -0.439000, 0.665000,  0.213727,  0.292009,  -0.101590, -0.073809,
    0.483975,  0.000000,  -0.210900, -0.153200, 0.965400,  0.404580,  0.430670,
    0.038803,  -0.119426, 0.483975,  0.000000,  0.080600,  -0.248000, 0.965400,
    0.536454,  0.387821,  -0.000000, 0.000000,  0.500000,  0.000000,  0.000000,
    0.000000,  1.000000,  0.500005,  0.500000,  -0.212661, -0.154506, 0.425327,
    0.000000,  -0.425300, -0.309000, 0.850600,  0.300249,  0.354870,  -0.069099,
    -0.212660, 0.447215,  0.000000,  -0.140600, -0.432800, 0.890400,  0.435100,
    0.300246,  -0.101590, -0.073809, 0.483975,  0.000000,  -0.210900, -0.153200,
    0.965400,  0.404580,  0.430670,  -0.304773, -0.221428, 0.328759,  0.000000,
    -0.604200, -0.439000, 0.665000,  0.213727,  0.292009,  -0.180902, -0.293889,
    0.361806,  0.000000,  -0.353800, -0.587700, 0.727500,  0.330081,  0.223945,
    -0.212661, -0.154506, 0.425327,  0.000000,  -0.425300, -0.309000, 0.850600,
    0.300249,  0.354870,  -0.101590, -0.073809, 0.483975,  0.000000,  -0.210900,
    -0.153200, 0.965400,  0.404580,  0.430670,  -0.069099, -0.212660, 0.447215,
    0.000000,  -0.140600, -0.432800, 0.890400,  0.435100,  0.300246,  0.038803,
    -0.119426, 0.483975,  0.000000,  0.080600,  -0.248000, 0.965400,  0.536454,
    0.387821,  -0.069099, -0.212660, 0.447215,  0.000000,  -0.140600, -0.432800,
    0.890400,  0.435100,  0.300246,  0.081228,  -0.249998, 0.425327,  0.000000,
    0.162500,  -0.500000, 0.850600,  0.576304,  0.265173,  0.038803,  -0.119426,
    0.483975,  0.000000,  0.080600,  -0.248000, 0.965400,  0.536454,  0.387821,
    -0.212661, -0.154506, 0.425327,  0.000000,  -0.425300, -0.309000, 0.850600,
    0.300249,  0.354870,  -0.180902, -0.293889, 0.361806,  0.000000,  -0.353800,
    -0.587700, 0.727500,  0.330081,  0.223945,  -0.069099, -0.212660, 0.447215,
    0.000000,  -0.140600, -0.432800, 0.890400,  0.435100,  0.300246,  -0.180902,
    -0.293889, 0.361806,  0.000000,  -0.353800, -0.587700, 0.727500,  0.330081,
    0.223945,  -0.026395, -0.344092, 0.361806,  0.000000,  -0.059200, -0.683500,
    0.727500,  0.475212,  0.176788,  -0.069099, -0.212660, 0.447215,  0.000000,
    -0.140600, -0.432800, 0.890400,  0.435100,  0.300246,  -0.069099, -0.212660,
    0.447215,  0.000000,  -0.140600, -0.432800, 0.890400,  0.435100,  0.300246,
    -0.026395, -0.344092, 0.361806,  0.000000,  -0.059200, -0.683500, 0.727500,
    0.475212,  0.176788,  0.081228,  -0.249998, 0.425327,  0.000000,  0.162500,
    -0.500000, 0.850600,  0.576304,  0.265173,  -0.026395, -0.344092, 0.361806,
    0.000000,  -0.059200, -0.683500, 0.727500,  0.475212,  0.176788,  0.116411,
    -0.358282, 0.328760,  0.000000,  0.230800,  -0.710300, 0.665000,  0.609353,
    0.163460,  0.081228,  -0.249998, 0.425327,  0.000000,  0.162500,  -0.500000,
    0.850600,  0.576304,  0.265173,  -0.304773, -0.221428, 0.328759,  0.000000,
    -0.604200, -0.439000, 0.665000,  0.213727,  0.292009,  -0.265970, -0.340856,
    0.251151,  0.000000,  -0.523600, -0.687000, 0.503800,  0.250175,  0.179828,
    -0.180902, -0.293889, 0.361806,  0.000000,  -0.353800, -0.587700, 0.727500,
    0.330081,  0.223945,  -0.265970, -0.340856, 0.251151,  0.000000,  -0.523600,
    -0.687000, 0.503800,  0.250175,  0.179828,  -0.131434, -0.404506, 0.262869,
    0.000000,  -0.262900, -0.809000, 0.525700,  0.376547,  0.120041,  -0.180902,
    -0.293889, 0.361806,  0.000000,  -0.353800, -0.587700, 0.727500,  0.330081,
    0.223945,  -0.180902, -0.293889, 0.361806,  0.000000,  -0.353800, -0.587700,
    0.727500,  0.330081,  0.223945,  -0.131434, -0.404506, 0.262869,  0.000000,
    -0.262900, -0.809000, 0.525700,  0.376547,  0.120041,  -0.026395, -0.344092,
    0.361806,  0.000000,  -0.059200, -0.683500, 0.727500,  0.475212,  0.176788,
    -0.131434, -0.404506, 0.262869,  0.000000,  -0.262900, -0.809000, 0.525700,
    0.376547,  0.120041,  0.014820,  -0.432092, 0.251151,  0.000000,  0.019800,
    -0.863600, 0.503800,  0.513925,  0.094129,  -0.026395, -0.344092, 0.361806,
    0.000000,  -0.059200, -0.683500, 0.727500,  0.475212,  0.176788,  -0.026395,
    -0.344092, 0.361806,  0.000000,  -0.059200, -0.683500, 0.727500,  0.475212,
    0.176788,  0.014820,  -0.432092, 0.251151,  0.000000,  0.019800,  -0.863600,
    0.503800,  0.513925,  0.094129,  0.116411,  -0.358282, 0.328760,  0.000000,
    0.230800,  -0.710300, 0.665000,  0.609353,  0.163460,  0.014820,  -0.432092,
    0.251151,  0.000000,  0.019800,  -0.863600, 0.503800,  0.513925,  0.094129,
    0.138194,  -0.425325, 0.223610,  0.000000,  0.276400,  -0.850600, 0.447200,
    0.629814,  0.100486,  0.116411,  -0.358282, 0.328760,  0.000000,  0.230800,
    -0.710300, 0.665000,  0.609353,  0.163460,  0.038803,  -0.119426, 0.483975,
    0.000000,  0.080600,  -0.248000, 0.965400,  0.536454,  0.387821,  0.125573,
    0.000000,  0.483974,  0.000000,  0.260800,  0.000000,  0.965400,  0.617959,
    0.500000,  -0.000000, 0.000000,  0.500000,  0.000000,  0.000000,  0.000000,
    1.000000,  0.500005,  0.500000,  0.081228,  -0.249998, 0.425327,  0.000000,
    0.162500,  -0.500000, 0.850600,  0.576304,  0.265173,  0.180900,  -0.131431,
    0.447215,  0.000000,  0.368200,  -0.267500, 0.890400,  0.669929,  0.376544,
    0.038803,  -0.119426, 0.483975,  0.000000,  0.080600,  -0.248000, 0.965400,
    0.536454,  0.387821,  0.116411,  -0.358282, 0.328760,  0.000000,  0.230800,
    -0.710300, 0.665000,  0.609353,  0.163460,  0.223605,  -0.262864, 0.361806,
    0.000000,  0.449600,  -0.518100, 0.727500,  0.710042,  0.253087,  0.081228,
    -0.249998, 0.425327,  0.000000,  0.162500,  -0.500000, 0.850600,  0.576304,
    0.265173,  0.038803,  -0.119426, 0.483975,  0.000000,  0.080600,  -0.248000,
    0.965400,  0.536454,  0.387821,  0.180900,  -0.131431, 0.447215,  0.000000,
    0.368200,  -0.267500, 0.890400,  0.669929,  0.376544,  0.125573,  0.000000,
    0.483974,  0.000000,  0.260800,  0.000000,  0.965400,  0.617959,  0.500000,
    0.180900,  -0.131431, 0.447215,  0.000000,  0.368200,  -0.267500, 0.890400,
    0.669929,  0.376544,  0.262865,  0.000000,  0.425326,  0.000000,  0.525700,
    0.000000,  0.850600,  0.746920,  0.500000,  0.125573,  0.000000,  0.483974,
    0.000000,  0.260800,  0.000000,  0.965400,  0.617959,  0.500000,  0.081228,
    -0.249998, 0.425327,  0.000000,  0.162500,  -0.500000, 0.850600,  0.576304,
    0.265173,  0.223605,  -0.262864, 0.361806,  0.000000,  0.449600,  -0.518100,
    0.727500,  0.710042,  0.253087,  0.180900,  -0.131431, 0.447215,  0.000000,
    0.368200,  -0.267500, 0.890400,  0.669929,  0.376544,  0.223605,  -0.262864,
    0.361806,  0.000000,  0.449600,  -0.518100, 0.727500,  0.710042,  0.253087,
    0.319097,  -0.131432, 0.361805,  0.000000,  0.631700,  -0.267500, 0.727500,
    0.799739,  0.376544,  0.180900,  -0.131431, 0.447215,  0.000000,  0.368200,
    -0.267500, 0.890400,  0.669929,  0.376544,  0.180900,  -0.131431, 0.447215,
    0.000000,  0.368200,  -0.267500, 0.890400,  0.669929,  0.376544,  0.319097,
    -0.131432, 0.361805,  0.000000,  0.631700,  -0.267500, 0.727500,  0.799739,
    0.376544,  0.262865,  0.000000,  0.425326,  0.000000,  0.525700,  0.000000,
    0.850600,  0.746920,  0.500000,  0.319097,  -0.131432, 0.361805,  0.000000,
    0.631700,  -0.267500, 0.727500,  0.799739,  0.376544,  0.376721,  0.000000,
    0.328757,  0.000000,  0.746800,  0.000000,  0.665000,  0.853866,  0.500000,
    0.262865,  0.000000,  0.425326,  0.000000,  0.525700,  0.000000,  0.850600,
    0.746920,  0.500000,  0.116411,  -0.358282, 0.328760,  0.000000,  0.230800,
    -0.710300, 0.665000,  0.609353,  0.163460,  0.241986,  -0.358282, 0.251151,
    0.000000,  0.491500,  -0.710300, 0.503800,  0.727307,  0.163460,  0.223605,
    -0.262864, 0.361806,  0.000000,  0.449600,  -0.518100, 0.727500,  0.710042,
    0.253087,  0.241986,  -0.358282, 0.251151,  0.000000,  0.491500,  -0.710300,
    0.503800,  0.727307,  0.163460,  0.344095,  -0.249998, 0.262868,  0.000000,
    0.688200,  -0.500000, 0.525700,  0.823220,  0.265172,  0.223605,  -0.262864,
    0.361806,  0.000000,  0.449600,  -0.518100, 0.727500,  0.710042,  0.253087,
    0.223605,  -0.262864, 0.361806,  0.000000,  0.449600,  -0.518100, 0.727500,
    0.710042,  0.253087,  0.344095,  -0.249998, 0.262868,  0.000000,  0.688200,
    -0.500000, 0.525700,  0.823220,  0.265172,  0.319097,  -0.131432, 0.361805,
    0.000000,  0.631700,  -0.267500, 0.727500,  0.799739,  0.376544,  0.344095,
    -0.249998, 0.262868,  0.000000,  0.688200,  -0.500000, 0.525700,  0.823220,
    0.265172,  0.415525,  -0.119427, 0.251149,  0.000000,  0.827400,  -0.248000,
    0.503800,  0.890316,  0.387821,  0.319097,  -0.131432, 0.361805,  0.000000,
    0.631700,  -0.267500, 0.727500,  0.799739,  0.376544,  0.319097,  -0.131432,
    0.361805,  0.000000,  0.631700,  -0.267500, 0.727500,  0.799739,  0.376544,
    0.415525,  -0.119427, 0.251149,  0.000000,  0.827400,  -0.248000, 0.503800,
    0.890316,  0.387821,  0.376721,  0.000000,  0.328757,  0.000000,  0.746800,
    0.000000,  0.665000,  0.853866,  0.500000,  0.415525,  -0.119427, 0.251149,
    0.000000,  0.827400,  -0.248000, 0.503800,  0.890316,  0.387821,  0.447213,
    0.000000,  0.223608,  0.000000,  0.894400,  0.000000,  0.447200,  0.920080,
    0.500000,  0.376721,  0.000000,  0.328757,  0.000000,  0.746800,  0.000000,
    0.665000,  0.853866,  0.500000,  0.478313,  0.073809,  0.125575,  0.000000,
    0.957800,  0.153300,  0.243000,  0.949293,  0.569331,  0.415525,  0.119427,
    0.251149,  0.000000,  0.827400,  0.248000,  0.503800,  0.890316,  0.612180,
    0.447213,  0.000000,  0.223608,  0.000000,  0.894400,  0.000000,  0.447200,
    0.920080,  0.500000,  0.475529,  0.154506,  0.000000,  0.000000,  0.951000,
    0.309000,  0.000000,  0.946678,  0.645131,  0.430902,  0.212661,  0.138198,
    0.000000,  0.859300,  0.432800,  0.272400,  0.904760,  0.699757,  0.478313,
    0.073809,  0.125575,  0.000000,  0.957800,  0.153300,  0.243000,  0.949293,
    0.569331,  0.430349,  0.221429,  -0.125575, 0.000000,  0.865000,  0.439000,
    -0.243000, 0.904240,  0.707992,  0.404510,  0.293891,  -0.000000, 0.000000,
    0.809000,  0.587800,  0.008900,  0.879968,  0.776057,  0.475529,  0.154506,
    0.000000,  0.000000,  0.951000,  0.309000,  0.000000,  0.946678,  0.645131,
    0.478313,  0.073809,  0.125575,  0.000000,  0.957800,  0.153300,  0.243000,
    0.949293,  0.569331,  0.430902,  0.212661,  0.138198,  0.000000,  0.859300,
    0.432800,  0.272400,  0.904760,  0.699757,  0.415525,  0.119427,  0.251149,
    0.000000,  0.827400,  0.248000,  0.503800,  0.890316,  0.612180,  0.430902,
    0.212661,  0.138198,  0.000000,  0.859300,  0.432800,  0.272400,  0.904760,
    0.699757,  0.344095,  0.249998,  0.262868,  0.000000,  0.688200,  0.500000,
    0.525700,  0.823220,  0.734828,  0.415525,  0.119427,  0.251149,  0.000000,
    0.827400,  0.248000,  0.503800,  0.890316,  0.612180,  0.475529,  0.154506,
    0.000000,  0.000000,  0.951000,  0.309000,  0.000000,  0.946678,  0.645131,
    0.404510,  0.293891,  -0.000000, 0.000000,  0.809000,  0.587800,  0.008900,
    0.879968,  0.776057,  0.430902,  0.212661,  0.138198,  0.000000,  0.859300,
    0.432800,  0.272400,  0.904760,  0.699757,  0.404510,  0.293891,  -0.000000,
    0.000000,  0.809000,  0.587800,  0.008900,  0.879968,  0.776057,  0.335410,
    0.344095,  0.138199,  0.000000,  0.677200,  0.683500,  0.272400,  0.815063,
    0.823215,  0.430902,  0.212661,  0.138198,  0.000000,  0.859300,  0.432800,
    0.272400,  0.904760,  0.699757,  0.430902,  0.212661,  0.138198,  0.000000,
    0.859300,  0.432800,  0.272400,  0.904760,  0.699757,  0.335410,  0.344095,
    0.138199,  0.000000,  0.677200,  0.683500,  0.272400,  0.815063,  0.823215,
    0.344095,  0.249998,  0.262868,  0.000000,  0.688200,  0.500000,  0.525700,
    0.823220,  0.734828,  0.335410,  0.344095,  0.138199,  0.000000,  0.677200,
    0.683500,  0.272400,  0.815063,  0.823215,  0.241986,  0.358282,  0.251151,
    0.000000,  0.491500,  0.710300,  0.503800,  0.727307,  0.836541,  0.344095,
    0.249998,  0.262868,  0.000000,  0.688200,  0.500000,  0.525700,  0.823220,
    0.734828,  0.430349,  0.221429,  -0.125575, 0.000000,  0.865000,  0.439000,
    -0.243000, 0.904240,  0.707992,  0.343579,  0.340858,  -0.125576, 0.000000,
    0.684800,  0.687000,  -0.243000, 0.822735,  0.820174,  0.404510,  0.293891,
    -0.000000, 0.000000,  0.809000,  0.587800,  0.008900,  0.879968,  0.776057,
    0.343579,  0.340858,  -0.125576, 0.000000,  0.684800,  0.687000,  -0.243000,
    0.822735,  0.820174,  0.293893,  0.404508,  -0.000000, 0.000000,  0.587800,
    0.809000,  0.000000,  0.776064,  0.879962,  0.404510,  0.293891,  -0.000000,
    0.000000,  0.809000,  0.587800,  0.008900,  0.879968,  0.776057,  0.404510,
    0.293891,  -0.000000, 0.000000,  0.809000,  0.587800,  0.008900,  0.879968,
    0.776057,  0.293893,  0.404508,  -0.000000, 0.000000,  0.587800,  0.809000,
    0.000000,  0.776064,  0.879962,  0.335410,  0.344095,  0.138199,  0.000000,
    0.677200,  0.683500,  0.272400,  0.815063,  0.823215,  0.293893,  0.404508,
    -0.000000, 0.000000,  0.587800,  0.809000,  0.000000,  0.776064,  0.879962,
    0.218003,  0.432094,  0.125576,  0.000000,  0.441700,  0.863600,  0.243000,
    0.704780,  0.905874,  0.335410,  0.344095,  0.138199,  0.000000,  0.677200,
    0.683500,  0.272400,  0.815063,  0.823215,  0.335410,  0.344095,  0.138199,
    0.000000,  0.677200,  0.683500,  0.272400,  0.815063,  0.823215,  0.218003,
    0.432094,  0.125576,  0.000000,  0.441700,  0.863600,  0.243000,  0.704780,
    0.905874,  0.241986,  0.358282,  0.251151,  0.000000,  0.491500,  0.710300,
    0.503800,  0.727307,  0.836541,  0.218003,  0.432094,  0.125576,  0.000000,
    0.441700,  0.863600,  0.243000,  0.704780,  0.905874,  0.138194,  0.425325,
    0.223610,  0.000000,  0.276400,  0.850600,  0.447200,  0.629814,  0.899515,
    0.241986,  0.358282,  0.251151,  0.000000,  0.491500,  0.710300,  0.503800,
    0.727307,  0.836541,  0.077608,  0.477711,  0.125576,  0.000000,  0.150200,
    0.958300,  0.243000,  0.572904,  0.948723,  0.014820,  0.432092,  0.251151,
    0.000000,  0.019800,  0.863600,  0.503800,  0.513925,  0.905872,  0.138194,
    0.425325,  0.223610,  0.000000,  0.276400,  0.850600,  0.447200,  0.629814,
    0.899515,  -0.000000, 0.500000,  0.000000,  0.000000,  0.000000,  1.000000,
    0.000000,  0.500005,  0.969659,  -0.069099, 0.475528,  0.138199,  0.000000,
    -0.146100, 0.951000,  0.272400,  0.435099,  0.946672,  0.077608,  0.477711,
    0.125576,  0.000000,  0.150200,  0.958300,  0.243000,  0.572904,  0.948723,
    -0.077608, 0.477711,  -0.125576, 0.000000,  -0.150200, 0.958300,  -0.243000,
    0.427107,  0.948723,  -0.154508, 0.475528,  -0.000000, 0.000000,  -0.309000,
    0.951000,  0.008900,  0.354873,  0.946672,  -0.000000, 0.500000,  0.000000,
    0.000000,  0.000000,  1.000000,  0.000000,  0.500005,  0.969659,  0.077608,
    0.477711,  0.125576,  0.000000,  0.150200,  0.958300,  0.243000,  0.572904,
    0.948723,  -0.069099, 0.475528,  0.138199,  0.000000,  -0.146100, 0.951000,
    0.272400,  0.435099,  0.946672,  0.014820,  0.432092,  0.251151,  0.000000,
    0.019800,  0.863600,  0.503800,  0.513925,  0.905872,  -0.069099, 0.475528,
    0.138199,  0.000000,  -0.146100, 0.951000,  0.272400,  0.435099,  0.946672,
    -0.131434, 0.404506,  0.262869,  0.000000,  -0.262900, 0.809000,  0.525700,
    0.376547,  0.879960,  0.014820,  0.432092,  0.251151,  0.000000,  0.019800,
    0.863600,  0.503800,  0.513925,  0.905872,  -0.000000, 0.500000,  0.000000,
    0.000000,  0.000000,  1.000000,  0.000000,  0.500005,  0.969659,  -0.154508,
    0.475528,  -0.000000, 0.000000,  -0.309000, 0.951000,  0.008900,  0.354873,
    0.946672,  -0.069099, 0.475528,  0.138199,  0.000000,  -0.146100, 0.951000,
    0.272400,  0.435099,  0.946672,  -0.154508, 0.475528,  -0.000000, 0.000000,
    -0.309000, 0.951000,  0.008900,  0.354873,  0.946672,  -0.223608, 0.425324,
    0.138199,  0.000000,  -0.440700, 0.855300,  0.272400,  0.289967,  0.899515,
    -0.069099, 0.475528,  0.138199,  0.000000,  -0.146100, 0.951000,  0.272400,
    0.435099,  0.946672,  -0.069099, 0.475528,  0.138199,  0.000000,  -0.146100,
    0.951000,  0.272400,  0.435099,  0.946672,  -0.223608, 0.425324,  0.138199,
    0.000000,  -0.440700, 0.855300,  0.272400,  0.289967,  0.899515,  -0.131434,
    0.404506,  0.262869,  0.000000,  -0.262900, 0.809000,  0.525700,  0.376547,
    0.879960,  -0.223608, 0.425324,  0.138199,  0.000000,  -0.440700, 0.855300,
    0.272400,  0.289967,  0.899515,  -0.265970, 0.340856,  0.251151,  0.000000,
    -0.523600, 0.687000,  0.503800,  0.250175,  0.820172,  -0.131434, 0.404506,
    0.262869,  0.000000,  -0.262900, 0.809000,  0.525700,  0.376547,  0.879960,
    -0.077608, 0.477711,  -0.125576, 0.000000,  -0.150200, 0.958300,  -0.243000,
    0.427107,  0.948723,  -0.218003, 0.432094,  -0.125576, 0.000000,  -0.441700,
    0.863600,  -0.243000, 0.295231,  0.905874,  -0.154508, 0.475528,  -0.000000,
    0.000000,  -0.309000, 0.951000,  0.008900,  0.354873,  0.946672,  -0.218003,
    0.432094,  -0.125576, 0.000000,  -0.441700, 0.863600,  -0.243000, 0.295231,
    0.905874,  -0.293893, 0.404508,  -0.000000, 0.000000,  -0.587800, 0.809000,
    0.000000,  0.223947,  0.879962,  -0.154508, 0.475528,  -0.000000, 0.000000,
    -0.309000, 0.951000,  0.008900,  0.354873,  0.946672,  -0.154508, 0.475528,
    -0.000000, 0.000000,  -0.309000, 0.951000,  0.008900,  0.354873,  0.946672,
    -0.293893, 0.404508,  -0.000000, 0.000000,  -0.587800, 0.809000,  0.000000,
    0.223947,  0.879962,  -0.223608, 0.425324,  0.138199,  0.000000,  -0.440700,
    0.855300,  0.272400,  0.289967,  0.899515,  -0.293893, 0.404508,  -0.000000,
    0.000000,  -0.587800, 0.809000,  0.000000,  0.223947,  0.879962,  -0.343579,
    0.340858,  0.125576,  0.000000,  -0.684800, 0.687000,  0.243000,  0.177276,
    0.820174,  -0.223608, 0.425324,  0.138199,  0.000000,  -0.440700, 0.855300,
    0.272400,  0.289967,  0.899515,  -0.223608, 0.425324,  0.138199,  0.000000,
    -0.440700, 0.855300,  0.272400,  0.289967,  0.899515,  -0.343579, 0.340858,
    0.125576,  0.000000,  -0.684800, 0.687000,  0.243000,  0.177276,  0.820174,
    -0.265970, 0.340856,  0.251151,  0.000000,  -0.523600, 0.687000,  0.503800,
    0.250175,  0.820172,  -0.343579, 0.340858,  0.125576,  0.000000,  -0.684800,
    0.687000,  0.243000,  0.177276,  0.820174,  -0.361804, 0.262863,  0.223610,
    0.000000,  -0.723600, 0.525700,  0.447200,  0.160157,  0.746912,  -0.265970,
    0.340856,  0.251151,  0.000000,  -0.523600, 0.687000,  0.503800,  0.250175,
    0.820172,  -0.430349, 0.221429,  0.125575,  0.000000,  -0.865000, 0.439000,
    0.243000,  0.095771,  0.707992,  -0.406365, 0.147619,  0.251150,  0.000000,
    -0.815200, 0.285700,  0.503800,  0.118300,  0.638661,  -0.361804, 0.262863,
    0.223610,  0.000000,  -0.723600, 0.525700,  0.447200,  0.160157,  0.746912,
    -0.475529, 0.154506,  0.000000,  0.000000,  -0.951000, 0.309000,  0.000000,
    0.053333,  0.645131,  -0.473607, 0.081229,  0.138198,  0.000000,  -0.949600,
    0.154900,  0.272400,  0.055139,  0.576300,  -0.430349, 0.221429,  0.125575,
    0.000000,  -0.865000, 0.439000,  0.243000,  0.095771,  0.707992,  -0.478313,
    0.073809,  -0.125575, 0.000000,  -0.957800, 0.153300,  -0.243000, 0.050718,
    0.569331,  -0.500000, -0.000000, 0.000000,  0.000000,  -0.999900, 0.000000,
    0.008900,  0.030347,  0.500000,  -0.475529, 0.154506,  0.000000,  0.000000,
    -0.951000, 0.309000,  0.000000,  0.053333,  0.645131,  -0.430349, 0.221429,
    0.125575,  0.000000,  -0.865000, 0.439000,  0.243000,  0.095771,  0.707992,
    -0.473607, 0.081229,  0.138198,  0.000000,  -0.949600, 0.154900,  0.272400,
    0.055139,  0.576300,  -0.406365, 0.147619,  0.251150,  0.000000,  -0.815200,
    0.285700,  0.503800,  0.118300,  0.638661,  -0.473607, 0.081229,  0.138198,
    0.000000,  -0.949600, 0.154900,  0.272400,  0.055139,  0.576300,  -0.425324,
    0.000000,  0.262868,  0.000000,  -0.850600, 0.000000,  0.525700,  0.100491,
    0.500000,  -0.406365, 0.147619,  0.251150,  0.000000,  -0.815200, 0.285700,
    0.503800,  0.118300,  0.638661,  -0.475529, 0.154506,  0.000000,  0.000000,
    -0.951000, 0.309000,  0.000000,  0.053333,  0.645131,  -0.500000, -0.000000,
    0.000000,  0.000000,  -0.999900, 0.000000,  0.008900,  0.030347,  0.500000,
    -0.473607, 0.081229,  0.138198,  0.000000,  -0.949600, 0.154900,  0.272400,
    0.055139,  0.576300,  -0.500000, -0.000000, 0.000000,  0.000000,  -0.999900,
    0.000000,  0.008900,  0.030347,  0.500000,  -0.473606, -0.081229, 0.138198,
    0.000000,  -0.949600, -0.154900, 0.272400,  0.055139,  0.423701,  -0.473607,
    0.081229,  0.138198,  0.000000,  -0.949600, 0.154900,  0.272400,  0.055139,
    0.576300,  -0.473607, 0.081229,  0.138198,  0.000000,  -0.949600, 0.154900,
    0.272400,  0.055139,  0.576300,  -0.473606, -0.081229, 0.138198,  0.000000,
    -0.949600, -0.154900, 0.272400,  0.055139,  0.423701,  -0.425324, 0.000000,
    0.262868,  0.000000,  -0.850600, 0.000000,  0.525700,  0.100491,  0.500000,
    -0.473606, -0.081229, 0.138198,  0.000000,  -0.949600, -0.154900, 0.272400,
    0.055139,  0.423701,  -0.406365, -0.147619, 0.251150,  0.000000,  -0.815200,
    -0.285700, 0.503800,  0.118300,  0.361339,  -0.425324, 0.000000,  0.262868,
    0.000000,  -0.850600, 0.000000,  0.525700,  0.100491,  0.500000,  -0.478313,
    0.073809,  -0.125575, 0.000000,  -0.957800, 0.153300,  -0.243000, 0.050718,
    0.569331,  -0.478313, -0.073809, -0.125575, 0.000000,  -0.957800, -0.153300,
    -0.243000, 0.050718,  0.430670,  -0.500000, -0.000000, 0.000000,  0.000000,
    -0.999900, 0.000000,  0.008900,  0.030347,  0.500000,  -0.478313, -0.073809,
    -0.125575, 0.000000,  -0.957800, -0.153300, -0.243000, 0.050718,  0.430670,
    -0.475529, -0.154506, -0.000000, 0.000000,  -0.951000, -0.309000, 0.000000,
    0.053333,  0.354870,  -0.500000, -0.000000, 0.000000,  0.000000,  -0.999900,
    0.000000,  0.008900,  0.030347,  0.500000,  -0.500000, -0.000000, 0.000000,
    0.000000,  -0.999900, 0.000000,  0.008900,  0.030347,  0.500000,  -0.475529,
    -0.154506, -0.000000, 0.000000,  -0.951000, -0.309000, 0.000000,  0.053333,
    0.354870,  -0.473606, -0.081229, 0.138198,  0.000000,  -0.949600, -0.154900,
    0.272400,  0.055139,  0.423701,  -0.475529, -0.154506, -0.000000, 0.000000,
    -0.951000, -0.309000, 0.000000,  0.053333,  0.354870,  -0.430349, -0.221429,
    0.125575,  0.000000,  -0.865000, -0.439000, 0.243000,  0.095771,  0.292008,
    -0.473606, -0.081229, 0.138198,  0.000000,  -0.949600, -0.154900, 0.272400,
    0.055139,  0.423701,  -0.473606, -0.081229, 0.138198,  0.000000,  -0.949600,
    -0.154900, 0.272400,  0.055139,  0.423701,  -0.430349, -0.221429, 0.125575,
    0.000000,  -0.865000, -0.439000, 0.243000,  0.095771,  0.292008,  -0.406365,
    -0.147619, 0.251150,  0.000000,  -0.815200, -0.285700, 0.503800,  0.118300,
    0.361339,  -0.430349, -0.221429, 0.125575,  0.000000,  -0.865000, -0.439000,
    0.243000,  0.095771,  0.292008,  -0.361804, -0.262863, 0.223610,  0.000000,
    -0.723600, -0.525700, 0.447200,  0.160157,  0.253089,  -0.406365, -0.147619,
    0.251150,  0.000000,  -0.815200, -0.285700, 0.503800,  0.118300,  0.361339,
    -0.343579, -0.340858, 0.125576,  0.000000,  -0.684800, -0.687000, 0.243000,
    0.177276,  0.179827,  -0.265970, -0.340856, 0.251151,  0.000000,  -0.523600,
    -0.687000, 0.503800,  0.250175,  0.179828,  -0.361804, -0.262863, 0.223610,
    0.000000,  -0.723600, -0.525700, 0.447200,  0.160157,  0.253089,  -0.293893,
    -0.404508, 0.000000,  0.000000,  -0.587800, -0.809000, 0.000000,  0.223947,
    0.120039,  -0.223608, -0.425324, 0.138198,  0.000000,  -0.440700, -0.855300,
    0.272400,  0.289967,  0.100486,  -0.343579, -0.340858, 0.125576,  0.000000,
    -0.684800, -0.687000, 0.243000,  0.177276,  0.179827,  -0.218003, -0.432094,
    -0.125576, 0.000000,  -0.441700, -0.863600, -0.243000, 0.295231,  0.094127,
    -0.154509, -0.475528, -0.000000, 0.000000,  -0.309000, -0.951000, 0.008900,
    0.354873,  0.053329,  -0.293893, -0.404508, 0.000000,  0.000000,  -0.587800,
    -0.809000, 0.000000,  0.223947,  0.120039,  -0.343579, -0.340858, 0.125576,
    0.000000,  -0.684800, -0.687000, 0.243000,  0.177276,  0.179827,  -0.223608,
    -0.425324, 0.138198,  0.000000,  -0.440700, -0.855300, 0.272400,  0.289967,
    0.100486,  -0.265970, -0.340856, 0.251151,  0.000000,  -0.523600, -0.687000,
    0.503800,  0.250175,  0.179828,  -0.223608, -0.425324, 0.138198,  0.000000,
    -0.440700, -0.855300, 0.272400,  0.289967,  0.100486,  -0.131434, -0.404506,
    0.262869,  0.000000,  -0.262900, -0.809000, 0.525700,  0.376547,  0.120041,
    -0.265970, -0.340856, 0.251151,  0.000000,  -0.523600, -0.687000, 0.503800,
    0.250175,  0.179828,  -0.293893, -0.404508, 0.000000,  0.000000,  -0.587800,
    -0.809000, 0.000000,  0.223947,  0.120039,  -0.154509, -0.475528, -0.000000,
    0.000000,  -0.309000, -0.951000, 0.008900,  0.354873,  0.053329,  -0.223608,
    -0.425324, 0.138198,  0.000000,  -0.440700, -0.855300, 0.272400,  0.289967,
    0.100486,  -0.154509, -0.475528, -0.000000, 0.000000,  -0.309000, -0.951000,
    0.008900,  0.354873,  0.053329,  -0.069100, -0.475528, 0.138198,  0.000000,
    -0.146100, -0.951000, 0.272400,  0.435099,  0.053329,  -0.223608, -0.425324,
    0.138198,  0.000000,  -0.440700, -0.855300, 0.272400,  0.289967,  0.100486,
    -0.223608, -0.425324, 0.138198,  0.000000,  -0.440700, -0.855300, 0.272400,
    0.289967,  0.100486,  -0.069100, -0.475528, 0.138198,  0.000000,  -0.146100,
    -0.951000, 0.272400,  0.435099,  0.053329,  -0.131434, -0.404506, 0.262869,
    0.000000,  -0.262900, -0.809000, 0.525700,  0.376547,  0.120041,  -0.069100,
    -0.475528, 0.138198,  0.000000,  -0.146100, -0.951000, 0.272400,  0.435099,
    0.053329,  0.014820,  -0.432092, 0.251151,  0.000000,  0.019800,  -0.863600,
    0.503800,  0.513925,  0.094129,  -0.131434, -0.404506, 0.262869,  0.000000,
    -0.262900, -0.809000, 0.525700,  0.376547,  0.120041,  -0.218003, -0.432094,
    -0.125576, 0.000000,  -0.441700, -0.863600, -0.243000, 0.295231,  0.094127,
    -0.077608, -0.477711, -0.125576, 0.000000,  -0.150200, -0.958300, -0.243000,
    0.427107,  0.051278,  -0.154509, -0.475528, -0.000000, 0.000000,  -0.309000,
    -0.951000, 0.008900,  0.354873,  0.053329,  -0.077608, -0.477711, -0.125576,
    0.000000,  -0.150200, -0.958300, -0.243000, 0.427107,  0.051278,  -0.000000,
    -0.500000, -0.000000, 0.000000,  0.000000,  -1.000000, 0.000000,  0.500005,
    0.030342,  -0.154509, -0.475528, -0.000000, 0.000000,  -0.309000, -0.951000,
    0.008900,  0.354873,  0.053329,  -0.154509, -0.475528, -0.000000, 0.000000,
    -0.309000, -0.951000, 0.008900,  0.354873,  0.053329,  -0.000000, -0.500000,
    -0.000000, 0.000000,  0.000000,  -1.000000, 0.000000,  0.500005,  0.030342,
    -0.069100, -0.475528, 0.138198,  0.000000,  -0.146100, -0.951000, 0.272400,
    0.435099,  0.053329,  -0.000000, -0.500000, -0.000000, 0.000000,  0.000000,
    -1.000000, 0.000000,  0.500005,  0.030342,  0.077608,  -0.477711, 0.125576,
    0.000000,  0.150200,  -0.958300, 0.243000,  0.572904,  0.051278,  -0.069100,
    -0.475528, 0.138198,  0.000000,  -0.146100, -0.951000, 0.272400,  0.435099,
    0.053329,  -0.069100, -0.475528, 0.138198,  0.000000,  -0.146100, -0.951000,
    0.272400,  0.435099,  0.053329,  0.077608,  -0.477711, 0.125576,  0.000000,
    0.150200,  -0.958300, 0.243000,  0.572904,  0.051278,  0.014820,  -0.432092,
    0.251151,  0.000000,  0.019800,  -0.863600, 0.503800,  0.513925,  0.094129,
    0.077608,  -0.477711, 0.125576,  0.000000,  0.150200,  -0.958300, 0.243000,
    0.572904,  0.051278,  0.138194,  -0.425325, 0.223610,  0.000000,  0.276400,
    -0.850600, 0.447200,  0.629814,  0.100486,  0.014820,  -0.432092, 0.251151,
    0.000000,  0.019800,  -0.863600, 0.503800,  0.513925,  0.094129,  0.218003,
    -0.432094, 0.125576,  0.000000,  0.441700,  -0.863600, 0.243000,  0.704780,
    0.094127,  0.241986,  -0.358282, 0.251151,  0.000000,  0.491500,  -0.710300,
    0.503800,  0.727307,  0.163460,  0.138194,  -0.425325, 0.223610,  0.000000,
    0.276400,  -0.850600, 0.447200,  0.629814,  0.100486,  0.293893,  -0.404508,
    0.000000,  0.000000,  0.587800,  -0.809000, 0.000000,  0.776064,  0.120039,
    0.335410,  -0.344095, 0.138198,  0.000000,  0.677200,  -0.683500, 0.272400,
    0.815062,  0.176786,  0.218003,  -0.432094, 0.125576,  0.000000,  0.441700,
    -0.863600, 0.243000,  0.704780,  0.094127,  0.343579,  -0.340858, -0.125576,
    0.000000,  0.684800,  -0.687000, -0.243000, 0.822735,  0.179827,  0.404509,
    -0.293891, -0.000001, 0.000000,  0.809000,  -0.587800, 0.008900,  0.879968,
    0.223943,  0.293893,  -0.404508, 0.000000,  0.000000,  0.587800,  -0.809000,
    0.000000,  0.776064,  0.120039,  0.218003,  -0.432094, 0.125576,  0.000000,
    0.441700,  -0.863600, 0.243000,  0.704780,  0.094127,  0.335410,  -0.344095,
    0.138198,  0.000000,  0.677200,  -0.683500, 0.272400,  0.815062,  0.176786,
    0.241986,  -0.358282, 0.251151,  0.000000,  0.491500,  -0.710300, 0.503800,
    0.727307,  0.163460,  0.335410,  -0.344095, 0.138198,  0.000000,  0.677200,
    -0.683500, 0.272400,  0.815062,  0.176786,  0.344095,  -0.249998, 0.262868,
    0.000000,  0.688200,  -0.500000, 0.525700,  0.823220,  0.265172,  0.241986,
    -0.358282, 0.251151,  0.000000,  0.491500,  -0.710300, 0.503800,  0.727307,
    0.163460,  0.293893,  -0.404508, 0.000000,  0.000000,  0.587800,  -0.809000,
    0.000000,  0.776064,  0.120039,  0.404509,  -0.293891, -0.000001, 0.000000,
    0.809000,  -0.587800, 0.008900,  0.879968,  0.223943,  0.335410,  -0.344095,
    0.138198,  0.000000,  0.677200,  -0.683500, 0.272400,  0.815062,  0.176786,
    0.404509,  -0.293891, -0.000001, 0.000000,  0.809000,  -0.587800, 0.008900,
    0.879968,  0.223943,  0.430902,  -0.212662, 0.138197,  0.000000,  0.859300,
    -0.432800, 0.272400,  0.904759,  0.300243,  0.335410,  -0.344095, 0.138198,
    0.000000,  0.677200,  -0.683500, 0.272400,  0.815062,  0.176786,  0.335410,
    -0.344095, 0.138198,  0.000000,  0.677200,  -0.683500, 0.272400,  0.815062,
    0.176786,  0.430902,  -0.212662, 0.138197,  0.000000,  0.859300,  -0.432800,
    0.272400,  0.904759,  0.300243,  0.344095,  -0.249998, 0.262868,  0.000000,
    0.688200,  -0.500000, 0.525700,  0.823220,  0.265172,  0.430902,  -0.212662,
    0.138197,  0.000000,  0.859300,  -0.432800, 0.272400,  0.904759,  0.300243,
    0.415525,  -0.119427, 0.251149,  0.000000,  0.827400,  -0.248000, 0.503800,
    0.890316,  0.387821,  0.344095,  -0.249998, 0.262868,  0.000000,  0.688200,
    -0.500000, 0.525700,  0.823220,  0.265172,  0.343579,  -0.340858, -0.125576,
    0.000000,  0.684800,  -0.687000, -0.243000, 0.822735,  0.179827,  0.430349,
    -0.221429, -0.125575, 0.000000,  0.865000,  -0.439000, -0.243000, 0.904240,
    0.292008,  0.404509,  -0.293891, -0.000001, 0.000000,  0.809000,  -0.587800,
    0.008900,  0.879968,  0.223943,  0.430349,  -0.221429, -0.125575, 0.000000,
    0.865000,  -0.439000, -0.243000, 0.904240,  0.292008,  0.475529,  -0.154506,
    -0.000000, 0.000000,  0.951000,  -0.309000, 0.000000,  0.946678,  0.354870,
    0.404509,  -0.293891, -0.000001, 0.000000,  0.809000,  -0.587800, 0.008900,
    0.879968,  0.223943,  0.404509,  -0.293891, -0.000001, 0.000000,  0.809000,
    -0.587800, 0.008900,  0.879968,  0.223943,  0.475529,  -0.154506, -0.000000,
    0.000000,  0.951000,  -0.309000, 0.000000,  0.946678,  0.354870,  0.430902,
    -0.212662, 0.138197,  0.000000,  0.859300,  -0.432800, 0.272400,  0.904759,
    0.300243,  0.475529,  -0.154506, -0.000000, 0.000000,  0.951000,  -0.309000,
    0.000000,  0.946678,  0.354870,  0.478313,  -0.073809, 0.125575,  0.000000,
    0.957800,  -0.153300, 0.243000,  0.949293,  0.430670,  0.430902,  -0.212662,
    0.138197,  0.000000,  0.859300,  -0.432800, 0.272400,  0.904759,  0.300243,
    0.430902,  -0.212662, 0.138197,  0.000000,  0.859300,  -0.432800, 0.272400,
    0.904759,  0.300243,  0.478313,  -0.073809, 0.125575,  0.000000,  0.957800,
    -0.153300, 0.243000,  0.949293,  0.430670,  0.415525,  -0.119427, 0.251149,
    0.000000,  0.827400,  -0.248000, 0.503800,  0.890316,  0.387821,  0.478313,
    -0.073809, 0.125575,  0.000000,  0.957800,  -0.153300, 0.243000,  0.949293,
    0.430670,  0.447213,  0.000000,  0.223608,  0.000000,  0.894400,  0.000000,
    0.447200,  0.920080,  0.500000,  0.415525,  -0.119427, 0.251149,  0.000000,
    0.827400,  -0.248000, 0.503800,  0.890316,  0.387821,  0.218003,  0.432094,
    0.125576,  0.000000,  0.441700,  0.863600,  0.243000,  0.704780,  0.905874,
    0.077608,  0.477711,  0.125576,  0.000000,  0.150200,  0.958300,  0.243000,
    0.572904,  0.948723,  0.138194,  0.425325,  0.223610,  0.000000,  0.276400,
    0.850600,  0.447200,  0.629814,  0.899515,  0.293893,  0.404508,  -0.000000,
    0.000000,  0.587800,  0.809000,  0.000000,  0.776064,  0.879962,  0.154509,
    0.475528,  -0.000000, 0.000000,  0.309000,  0.951000,  -0.008900, 0.645139,
    0.946672,  0.218003,  0.432094,  0.125576,  0.000000,  0.441700,  0.863600,
    0.243000,  0.704780,  0.905874,  0.343579,  0.340858,  -0.125576, 0.000000,
    0.684800,  0.687000,  -0.243000, 0.822735,  0.820174,  0.223608,  0.425324,
    -0.138199, 0.000000,  0.440700,  0.855300,  -0.272400, 0.710044,  0.899515,
    0.293893,  0.404508,  -0.000000, 0.000000,  0.587800,  0.809000,  0.000000,
    0.776064,  0.879962,  0.218003,  0.432094,  0.125576,  0.000000,  0.441700,
    0.863600,  0.243000,  0.704780,  0.905874,  0.154509,  0.475528,  -0.000000,
    0.000000,  0.309000,  0.951000,  -0.008900, 0.645139,  0.946672,  0.077608,
    0.477711,  0.125576,  0.000000,  0.150200,  0.958300,  0.243000,  0.572904,
    0.948723,  0.154509,  0.475528,  -0.000000, 0.000000,  0.309000,  0.951000,
    -0.008900, 0.645139,  0.946672,  -0.000000, 0.500000,  0.000000,  0.000000,
    0.000000,  1.000000,  0.000000,  0.500005,  0.969659,  0.077608,  0.477711,
    0.125576,  0.000000,  0.150200,  0.958300,  0.243000,  0.572904,  0.948723,
    0.293893,  0.404508,  -0.000000, 0.000000,  0.587800,  0.809000,  0.000000,
    0.776064,  0.879962,  0.223608,  0.425324,  -0.138199, 0.000000,  0.440700,
    0.855300,  -0.272400, 0.710044,  0.899515,  0.154509,  0.475528,  -0.000000,
    0.000000,  0.309000,  0.951000,  -0.008900, 0.645139,  0.946672,  0.223608,
    0.425324,  -0.138199, 0.000000,  0.440700,  0.855300,  -0.272400, 0.710044,
    0.899515,  0.069100,  0.475528,  -0.138199, 0.000000,  0.146100,  0.951000,
    -0.272400, 0.564912,  0.946672,  0.154509,  0.475528,  -0.000000, 0.000000,
    0.309000,  0.951000,  -0.008900, 0.645139,  0.946672,  0.154509,  0.475528,
    -0.000000, 0.000000,  0.309000,  0.951000,  -0.008900, 0.645139,  0.946672,
    0.069100,  0.475528,  -0.138199, 0.000000,  0.146100,  0.951000,  -0.272400,
    0.564912,  0.946672,  -0.000000, 0.500000,  0.000000,  0.000000,  0.000000,
    1.000000,  0.000000,  0.500005,  0.969659,  0.069100,  0.475528,  -0.138199,
    0.000000,  0.146100,  0.951000,  -0.272400, 0.564912,  0.946672,  -0.077608,
    0.477711,  -0.125576, 0.000000,  -0.150200, 0.958300,  -0.243000, 0.427107,
    0.948723,  -0.000000, 0.500000,  0.000000,  0.000000,  0.000000,  1.000000,
    0.000000,  0.500005,  0.969659,  0.343579,  0.340858,  -0.125576, 0.000000,
    0.684800,  0.687000,  -0.243000, 0.822735,  0.820174,  0.265970,  0.340856,
    -0.251151, 0.000000,  0.523600,  0.687000,  -0.503800, 0.749836,  0.820172,
    0.223608,  0.425324,  -0.138199, 0.000000,  0.440700,  0.855300,  -0.272400,
    0.710044,  0.899515,  0.265970,  0.340856,  -0.251151, 0.000000,  0.523600,
    0.687000,  -0.503800, 0.749836,  0.820172,  0.131434,  0.404506,  -0.262869,
    0.000000,  0.262900,  0.809000,  -0.525700, 0.623464,  0.879960,  0.223608,
    0.425324,  -0.138199, 0.000000,  0.440700,  0.855300,  -0.272400, 0.710044,
    0.899515,  0.223608,  0.425324,  -0.138199, 0.000000,  0.440700,  0.855300,
    -0.272400, 0.710044,  0.899515,  0.131434,  0.404506,  -0.262869, 0.000000,
    0.262900,  0.809000,  -0.525700, 0.623464,  0.879960,  0.069100,  0.475528,
    -0.138199, 0.000000,  0.146100,  0.951000,  -0.272400, 0.564912,  0.946672,
    0.131434,  0.404506,  -0.262869, 0.000000,  0.262900,  0.809000,  -0.525700,
    0.623464,  0.879960,  -0.014820, 0.432092,  -0.251151, 0.000000,  -0.019800,
    0.863600,  -0.503800, 0.486085,  0.905872,  0.069100,  0.475528,  -0.138199,
    0.000000,  0.146100,  0.951000,  -0.272400, 0.564912,  0.946672,  0.069100,
    0.475528,  -0.138199, 0.000000,  0.146100,  0.951000,  -0.272400, 0.564912,
    0.946672,  -0.014820, 0.432092,  -0.251151, 0.000000,  -0.019800, 0.863600,
    -0.503800, 0.486085,  0.905872,  -0.077608, 0.477711,  -0.125576, 0.000000,
    -0.150200, 0.958300,  -0.243000, 0.427107,  0.948723,  -0.014820, 0.432092,
    -0.251151, 0.000000,  -0.019800, 0.863600,  -0.503800, 0.486085,  0.905872,
    -0.138194, 0.425325,  -0.223610, 0.000000,  -0.276400, 0.850600,  -0.447200,
    0.370198,  0.899515,  -0.077608, 0.477711,  -0.125576, 0.000000,  -0.150200,
    0.958300,  -0.243000, 0.427107,  0.948723,  -0.343579, 0.340858,  0.125576,
    0.000000,  -0.684800, 0.687000,  0.243000,  0.177276,  0.820174,  -0.430349,
    0.221429,  0.125575,  0.000000,  -0.865000, 0.439000,  0.243000,  0.095771,
    0.707992,  -0.361804, 0.262863,  0.223610,  0.000000,  -0.723600, 0.525700,
    0.447200,  0.160157,  0.746912,  -0.293893, 0.404508,  -0.000000, 0.000000,
    -0.587800, 0.809000,  0.000000,  0.223947,  0.879962,  -0.404509, 0.293892,
    -0.000000, 0.000000,  -0.809000, 0.587800,  -0.008900, 0.120043,  0.776058,
    -0.343579, 0.340858,  0.125576,  0.000000,  -0.684800, 0.687000,  0.243000,
    0.177276,  0.820174,  -0.218003, 0.432094,  -0.125576, 0.000000,  -0.441700,
    0.863600,  -0.243000, 0.295231,  0.905874,  -0.335409, 0.344095,  -0.138199,
    0.000000,  -0.677200, 0.683500,  -0.272400, 0.184950,  0.823215,  -0.293893,
    0.404508,  -0.000000, 0.000000,  -0.587800, 0.809000,  0.000000,  0.223947,
    0.879962,  -0.343579, 0.340858,  0.125576,  0.000000,  -0.684800, 0.687000,
    0.243000,  0.177276,  0.820174,  -0.404509, 0.293892,  -0.000000, 0.000000,
    -0.809000, 0.587800,  -0.008900, 0.120043,  0.776058,  -0.430349, 0.221429,
    0.125575,  0.000000,  -0.865000, 0.439000,  0.243000,  0.095771,  0.707992,
    -0.404509, 0.293892,  -0.000000, 0.000000,  -0.809000, 0.587800,  -0.008900,
    0.120043,  0.776058,  -0.475529, 0.154506,  0.000000,  0.000000,  -0.951000,
    0.309000,  0.000000,  0.053333,  0.645131,  -0.430349, 0.221429,  0.125575,
    0.000000,  -0.865000, 0.439000,  0.243000,  0.095771,  0.707992,  -0.293893,
    0.404508,  -0.000000, 0.000000,  -0.587800, 0.809000,  0.000000,  0.223947,
    0.879962,  -0.335409, 0.344095,  -0.138199, 0.000000,  -0.677200, 0.683500,
    -0.272400, 0.184950,  0.823215,  -0.404509, 0.293892,  -0.000000, 0.000000,
    -0.809000, 0.587800,  -0.008900, 0.120043,  0.776058,  -0.335409, 0.344095,
    -0.138199, 0.000000,  -0.677200, 0.683500,  -0.272400, 0.184950,  0.823215,
    -0.430902, 0.212662,  -0.138198, 0.000000,  -0.859300, 0.432800,  -0.272400,
    0.095252,  0.699757,  -0.404509, 0.293892,  -0.000000, 0.000000,  -0.809000,
    0.587800,  -0.008900, 0.120043,  0.776058,  -0.404509, 0.293892,  -0.000000,
    0.000000,  -0.809000, 0.587800,  -0.008900, 0.120043,  0.776058,  -0.430902,
    0.212662,  -0.138198, 0.000000,  -0.859300, 0.432800,  -0.272400, 0.095252,
    0.699757,  -0.475529, 0.154506,  0.000000,  0.000000,  -0.951000, 0.309000,
    0.000000,  0.053333,  0.645131,  -0.430902, 0.212662,  -0.138198, 0.000000,
    -0.859300, 0.432800,  -0.272400, 0.095252,  0.699757,  -0.478313, 0.073809,
    -0.125575, 0.000000,  -0.957800, 0.153300,  -0.243000, 0.050718,  0.569331,
    -0.475529, 0.154506,  0.000000,  0.000000,  -0.951000, 0.309000,  0.000000,
    0.053333,  0.645131,  -0.218003, 0.432094,  -0.125576, 0.000000,  -0.441700,
    0.863600,  -0.243000, 0.295231,  0.905874,  -0.241986, 0.358282,  -0.251151,
    0.000000,  -0.491500, 0.710300,  -0.503800, 0.272704,  0.836541,  -0.335409,
    0.344095,  -0.138199, 0.000000,  -0.677200, 0.683500,  -0.272400, 0.184950,
    0.823215,  -0.241986, 0.358282,  -0.251151, 0.000000,  -0.491500, 0.710300,
    -0.503800, 0.272704,  0.836541,  -0.344095, 0.249999,  -0.262868, 0.000000,
    -0.688200, 0.500000,  -0.525700, 0.176791,  0.734828,  -0.335409, 0.344095,
    -0.138199, 0.000000,  -0.677200, 0.683500,  -0.272400, 0.184950,  0.823215,
    -0.335409, 0.344095,  -0.138199, 0.000000,  -0.677200, 0.683500,  -0.272400,
    0.184950,  0.823215,  -0.344095, 0.249999,  -0.262868, 0.000000,  -0.688200,
    0.500000,  -0.525700, 0.176791,  0.734828,  -0.430902, 0.212662,  -0.138198,
    0.000000,  -0.859300, 0.432800,  -0.272400, 0.095252,  0.699757,  -0.344095,
    0.249999,  -0.262868, 0.000000,  -0.688200, 0.500000,  -0.525700, 0.176791,
    0.734828,  -0.415525, 0.119427,  -0.251149, 0.000000,  -0.827400, 0.248000,
    -0.503800, 0.109696,  0.612180,  -0.430902, 0.212662,  -0.138198, 0.000000,
    -0.859300, 0.432800,  -0.272400, 0.095252,  0.699757,  -0.430902, 0.212662,
    -0.138198, 0.000000,  -0.859300, 0.432800,  -0.272400, 0.095252,  0.699757,
    -0.415525, 0.119427,  -0.251149, 0.000000,  -0.827400, 0.248000,  -0.503800,
    0.109696,  0.612180,  -0.478313, 0.073809,  -0.125575, 0.000000,  -0.957800,
    0.153300,  -0.243000, 0.050718,  0.569331,  -0.415525, 0.119427,  -0.251149,
    0.000000,  -0.827400, 0.248000,  -0.503800, 0.109696,  0.612180,  -0.447213,
    0.000000,  -0.223608, 0.000000,  -0.894400, 0.000000,  -0.447200, 0.079931,
    0.500000,  -0.478313, 0.073809,  -0.125575, 0.000000,  -0.957800, 0.153300,
    -0.243000, 0.050718,  0.569331,  -0.430349, -0.221429, 0.125575,  0.000000,
    -0.865000, -0.439000, 0.243000,  0.095771,  0.292008,  -0.343579, -0.340858,
    0.125576,  0.000000,  -0.684800, -0.687000, 0.243000,  0.177276,  0.179827,
    -0.361804, -0.262863, 0.223610,  0.000000,  -0.723600, -0.525700, 0.447200,
    0.160157,  0.253089,  -0.475529, -0.154506, -0.000000, 0.000000,  -0.951000,
    -0.309000, 0.000000,  0.053333,  0.354870,  -0.404509, -0.293892, -0.000000,
    0.000000,  -0.809000, -0.587800, -0.008900, 0.120043,  0.223943,  -0.430349,
    -0.221429, 0.125575,  0.000000,  -0.865000, -0.439000, 0.243000,  0.095771,
    0.292008,  -0.478313, -0.073809, -0.125575, 0.000000,  -0.957800, -0.153300,
    -0.243000, 0.050718,  0.430670,  -0.430902, -0.212662, -0.138198, 0.000000,
    -0.859300, -0.432800, -0.272400, 0.095252,  0.300243,  -0.475529, -0.154506,
    -0.000000, 0.000000,  -0.951000, -0.309000, 0.000000,  0.053333,  0.354870,
    -0.430349, -0.221429, 0.125575,  0.000000,  -0.865000, -0.439000, 0.243000,
    0.095771,  0.292008,  -0.404509, -0.293892, -0.000000, 0.000000,  -0.809000,
    -0.587800, -0.008900, 0.120043,  0.223943,  -0.343579, -0.340858, 0.125576,
    0.000000,  -0.684800, -0.687000, 0.243000,  0.177276,  0.179827,  -0.404509,
    -0.293892, -0.000000, 0.000000,  -0.809000, -0.587800, -0.008900, 0.120043,
    0.223943,  -0.293893, -0.404508, 0.000000,  0.000000,  -0.587800, -0.809000,
    0.000000,  0.223947,  0.120039,  -0.343579, -0.340858, 0.125576,  0.000000,
    -0.684800, -0.687000, 0.243000,  0.177276,  0.179827,  -0.475529, -0.154506,
    -0.000000, 0.000000,  -0.951000, -0.309000, 0.000000,  0.053333,  0.354870,
    -0.430902, -0.212662, -0.138198, 0.000000,  -0.859300, -0.432800, -0.272400,
    0.095252,  0.300243,  -0.404509, -0.293892, -0.000000, 0.000000,  -0.809000,
    -0.587800, -0.008900, 0.120043,  0.223943,  -0.430902, -0.212662, -0.138198,
    0.000000,  -0.859300, -0.432800, -0.272400, 0.095252,  0.300243,  -0.335410,
    -0.344095, -0.138199, 0.000000,  -0.677200, -0.683500, -0.272400, 0.184950,
    0.176786,  -0.404509, -0.293892, -0.000000, 0.000000,  -0.809000, -0.587800,
    -0.008900, 0.120043,  0.223943,  -0.404509, -0.293892, -0.000000, 0.000000,
    -0.809000, -0.587800, -0.008900, 0.120043,  0.223943,  -0.335410, -0.344095,
    -0.138199, 0.000000,  -0.677200, -0.683500, -0.272400, 0.184950,  0.176786,
    -0.293893, -0.404508, 0.000000,  0.000000,  -0.587800, -0.809000, 0.000000,
    0.223947,  0.120039,  -0.335410, -0.344095, -0.138199, 0.000000,  -0.677200,
    -0.683500, -0.272400, 0.184950,  0.176786,  -0.218003, -0.432094, -0.125576,
    0.000000,  -0.441700, -0.863600, -0.243000, 0.295231,  0.094127,  -0.293893,
    -0.404508, 0.000000,  0.000000,  -0.587800, -0.809000, 0.000000,  0.223947,
    0.120039,  -0.478313, -0.073809, -0.125575, 0.000000,  -0.957800, -0.153300,
    -0.243000, 0.050718,  0.430670,  -0.415525, -0.119427, -0.251149, 0.000000,
    -0.827400, -0.248000, -0.503800, 0.109696,  0.387821,  -0.430902, -0.212662,
    -0.138198, 0.000000,  -0.859300, -0.432800, -0.272400, 0.095252,  0.300243,
    -0.415525, -0.119427, -0.251149, 0.000000,  -0.827400, -0.248000, -0.503800,
    0.109696,  0.387821,  -0.344095, -0.249998, -0.262868, 0.000000,  -0.688200,
    -0.500000, -0.525700, 0.176791,  0.265172,  -0.430902, -0.212662, -0.138198,
    0.000000,  -0.859300, -0.432800, -0.272400, 0.095252,  0.300243,  -0.430902,
    -0.212662, -0.138198, 0.000000,  -0.859300, -0.432800, -0.272400, 0.095252,
    0.300243,  -0.344095, -0.249998, -0.262868, 0.000000,  -0.688200, -0.500000,
    -0.525700, 0.176791,  0.265172,  -0.335410, -0.344095, -0.138199, 0.000000,
    -0.677200, -0.683500, -0.272400, 0.184950,  0.176786,  -0.344095, -0.249998,
    -0.262868, 0.000000,  -0.688200, -0.500000, -0.525700, 0.176791,  0.265172,
    -0.241986, -0.358282, -0.251151, 0.000000,  -0.491500, -0.710300, -0.503800,
    0.272704,  0.163460,  -0.335410, -0.344095, -0.138199, 0.000000,  -0.677200,
    -0.683500, -0.272400, 0.184950,  0.176786,  -0.335410, -0.344095, -0.138199,
    0.000000,  -0.677200, -0.683500, -0.272400, 0.184950,  0.176786,  -0.241986,
    -0.358282, -0.251151, 0.000000,  -0.491500, -0.710300, -0.503800, 0.272704,
    0.163460,  -0.218003, -0.432094, -0.125576, 0.000000,  -0.441700, -0.863600,
    -0.243000, 0.295231,  0.094127,  -0.241986, -0.358282, -0.251151, 0.000000,
    -0.491500, -0.710300, -0.503800, 0.272704,  0.163460,  -0.138194, -0.425325,
    -0.223610, 0.000000,  -0.276400, -0.850600, -0.447200, 0.370198,  0.100486,
    -0.218003, -0.432094, -0.125576, 0.000000,  -0.441700, -0.863600, -0.243000,
    0.295231,  0.094127,  0.077608,  -0.477711, 0.125576,  0.000000,  0.150200,
    -0.958300, 0.243000,  0.572904,  0.051278,  0.218003,  -0.432094, 0.125576,
    0.000000,  0.441700,  -0.863600, 0.243000,  0.704780,  0.094127,  0.138194,
    -0.425325, 0.223610,  0.000000,  0.276400,  -0.850600, 0.447200,  0.629814,
    0.100486,  -0.000000, -0.500000, -0.000000, 0.000000,  0.000000,  -1.000000,
    0.000000,  0.500005,  0.030342,  0.154509,  -0.475528, -0.000000, 0.000000,
    0.309000,  -0.951000, -0.008900, 0.645139,  0.053329,  0.077608,  -0.477711,
    0.125576,  0.000000,  0.150200,  -0.958300, 0.243000,  0.572904,  0.051278,
    -0.077608, -0.477711, -0.125576, 0.000000,  -0.150200, -0.958300, -0.243000,
    0.427107,  0.051278,  0.069100,  -0.475527, -0.138199, 0.000000,  0.146100,
    -0.951000, -0.272400, 0.564912,  0.053329,  -0.000000, -0.500000, -0.000000,
    0.000000,  0.000000,  -1.000000, 0.000000,  0.500005,  0.030342,  0.077608,
    -0.477711, 0.125576,  0.000000,  0.150200,  -0.958300, 0.243000,  0.572904,
    0.051278,  0.154509,  -0.475528, -0.000000, 0.000000,  0.309000,  -0.951000,
    -0.008900, 0.645139,  0.053329,  0.218003,  -0.432094, 0.125576,  0.000000,
    0.441700,  -0.863600, 0.243000,  0.704780,  0.094127,  0.154509,  -0.475528,
    -0.000000, 0.000000,  0.309000,  -0.951000, -0.008900, 0.645139,  0.053329,
    0.293893,  -0.404508, 0.000000,  0.000000,  0.587800,  -0.809000, 0.000000,
    0.776064,  0.120039,  0.218003,  -0.432094, 0.125576,  0.000000,  0.441700,
    -0.863600, 0.243000,  0.704780,  0.094127,  -0.000000, -0.500000, -0.000000,
    0.000000,  0.000000,  -1.000000, 0.000000,  0.500005,  0.030342,  0.069100,
    -0.475527, -0.138199, 0.000000,  0.146100,  -0.951000, -0.272400, 0.564912,
    0.053329,  0.154509,  -0.475528, -0.000000, 0.000000,  0.309000,  -0.951000,
    -0.008900, 0.645139,  0.053329,  0.069100,  -0.475527, -0.138199, 0.000000,
    0.146100,  -0.951000, -0.272400, 0.564912,  0.053329,  0.223608,  -0.425324,
    -0.138199, 0.000000,  0.440700,  -0.855300, -0.272400, 0.710044,  0.100486,
    0.154509,  -0.475528, -0.000000, 0.000000,  0.309000,  -0.951000, -0.008900,
    0.645139,  0.053329,  0.154509,  -0.475528, -0.000000, 0.000000,  0.309000,
    -0.951000, -0.008900, 0.645139,  0.053329,  0.223608,  -0.425324, -0.138199,
    0.000000,  0.440700,  -0.855300, -0.272400, 0.710044,  0.100486,  0.293893,
    -0.404508, 0.000000,  0.000000,  0.587800,  -0.809000, 0.000000,  0.776064,
    0.120039,  0.223608,  -0.425324, -0.138199, 0.000000,  0.440700,  -0.855300,
    -0.272400, 0.710044,  0.100486,  0.343579,  -0.340858, -0.125576, 0.000000,
    0.684800,  -0.687000, -0.243000, 0.822735,  0.179827,  0.293893,  -0.404508,
    0.000000,  0.000000,  0.587800,  -0.809000, 0.000000,  0.776064,  0.120039,
    -0.077608, -0.477711, -0.125576, 0.000000,  -0.150200, -0.958300, -0.243000,
    0.427107,  0.051278,  -0.014820, -0.432092, -0.251151, 0.000000,  -0.019800,
    -0.863600, -0.503800, 0.486085,  0.094129,  0.069100,  -0.475527, -0.138199,
    0.000000,  0.146100,  -0.951000, -0.272400, 0.564912,  0.053329,  -0.014820,
    -0.432092, -0.251151, 0.000000,  -0.019800, -0.863600, -0.503800, 0.486085,
    0.094129,  0.131434,  -0.404506, -0.262869, 0.000000,  0.262900,  -0.809000,
    -0.525700, 0.623464,  0.120041,  0.069100,  -0.475527, -0.138199, 0.000000,
    0.146100,  -0.951000, -0.272400, 0.564912,  0.053329,  0.069100,  -0.475527,
    -0.138199, 0.000000,  0.146100,  -0.951000, -0.272400, 0.564912,  0.053329,
    0.131434,  -0.404506, -0.262869, 0.000000,  0.262900,  -0.809000, -0.525700,
    0.623464,  0.120041,  0.223608,  -0.425324, -0.138199, 0.000000,  0.440700,
    -0.855300, -0.272400, 0.710044,  0.100486,  0.131434,  -0.404506, -0.262869,
    0.000000,  0.262900,  -0.809000, -0.525700, 0.623464,  0.120041,  0.265970,
    -0.340856, -0.251151, 0.000000,  0.523600,  -0.687000, -0.503800, 0.749836,
    0.179828,  0.223608,  -0.425324, -0.138199, 0.000000,  0.440700,  -0.855300,
    -0.272400, 0.710044,  0.100486,  0.223608,  -0.425324, -0.138199, 0.000000,
    0.440700,  -0.855300, -0.272400, 0.710044,  0.100486,  0.265970,  -0.340856,
    -0.251151, 0.000000,  0.523600,  -0.687000, -0.503800, 0.749836,  0.179828,
    0.343579,  -0.340858, -0.125576, 0.000000,  0.684800,  -0.687000, -0.243000,
    0.822735,  0.179827,  0.265970,  -0.340856, -0.251151, 0.000000,  0.523600,
    -0.687000, -0.503800, 0.749836,  0.179828,  0.361804,  -0.262863, -0.223610,
    0.000000,  0.723600,  -0.525700, -0.447200, 0.839854,  0.253089,  0.343579,
    -0.340858, -0.125576, 0.000000,  0.684800,  -0.687000, -0.243000, 0.822735,
    0.179827,  0.478313,  -0.073809, 0.125575,  0.000000,  0.957800,  -0.153300,
    0.243000,  0.949293,  0.430670,  0.478313,  0.073809,  0.125575,  0.000000,
    0.957800,  0.153300,  0.243000,  0.949293,  0.569331,  0.447213,  0.000000,
    0.223608,  0.000000,  0.894400,  0.000000,  0.447200,  0.920080,  0.500000,
    0.475529,  -0.154506, -0.000000, 0.000000,  0.951000,  -0.309000, 0.000000,
    0.946678,  0.354870,  0.500000,  0.000000,  -0.000000, 0.000000,  0.999900,
    0.000000,  -0.008900, 0.969665,  0.500000,  0.478313,  -0.073809, 0.125575,
    0.000000,  0.957800,  -0.153300, 0.243000,  0.949293,  0.430670,  0.430349,
    -0.221429, -0.125575, 0.000000,  0.865000,  -0.439000, -0.243000, 0.904240,
    0.292008,  0.473607,  -0.081229, -0.138198, 0.000000,  0.949600,  -0.154900,
    -0.272400, 0.944872,  0.423701,  0.475529,  -0.154506, -0.000000, 0.000000,
    0.951000,  -0.309000, 0.000000,  0.946678,  0.354870,  0.478313,  -0.073809,
    0.125575,  0.000000,  0.957800,  -0.153300, 0.243000,  0.949293,  0.430670,
    0.500000,  0.000000,  -0.000000, 0.000000,  0.999900,  0.000000,  -0.008900,
    0.969665,  0.500000,  0.478313,  0.073809,  0.125575,  0.000000,  0.957800,
    0.153300,  0.243000,  0.949293,  0.569331,  0.500000,  0.000000,  -0.000000,
    0.000000,  0.999900,  0.000000,  -0.008900, 0.969665,  0.500000,  0.475529,
    0.154506,  0.000000,  0.000000,  0.951000,  0.309000,  0.000000,  0.946678,
    0.645131,  0.478313,  0.073809,  0.125575,  0.000000,  0.957800,  0.153300,
    0.243000,  0.949293,  0.569331,  0.475529,  -0.154506, -0.000000, 0.000000,
    0.951000,  -0.309000, 0.000000,  0.946678,  0.354870,  0.473607,  -0.081229,
    -0.138198, 0.000000,  0.949600,  -0.154900, -0.272400, 0.944872,  0.423701,
    0.500000,  0.000000,  -0.000000, 0.000000,  0.999900,  0.000000,  -0.008900,
    0.969665,  0.500000,  0.473607,  -0.081229, -0.138198, 0.000000,  0.949600,
    -0.154900, -0.272400, 0.944872,  0.423701,  0.473607,  0.081229,  -0.138198,
    0.000000,  0.949600,  0.154900,  -0.272400, 0.944872,  0.576300,  0.500000,
    0.000000,  -0.000000, 0.000000,  0.999900,  0.000000,  -0.008900, 0.969665,
    0.500000,  0.500000,  0.000000,  -0.000000, 0.000000,  0.999900,  0.000000,
    -0.008900, 0.969665,  0.500000,  0.473607,  0.081229,  -0.138198, 0.000000,
    0.949600,  0.154900,  -0.272400, 0.944872,  0.576300,  0.475529,  0.154506,
    0.000000,  0.000000,  0.951000,  0.309000,  0.000000,  0.946678,  0.645131,
    0.473607,  0.081229,  -0.138198, 0.000000,  0.949600,  0.154900,  -0.272400,
    0.944872,  0.576300,  0.430349,  0.221429,  -0.125575, 0.000000,  0.865000,
    0.439000,  -0.243000, 0.904240,  0.707992,  0.475529,  0.154506,  0.000000,
    0.000000,  0.951000,  0.309000,  0.000000,  0.946678,  0.645131,  0.430349,
    -0.221429, -0.125575, 0.000000,  0.865000,  -0.439000, -0.243000, 0.904240,
    0.292008,  0.406365,  -0.147619, -0.251150, 0.000000,  0.815200,  -0.285700,
    -0.503800, 0.881711,  0.361339,  0.473607,  -0.081229, -0.138198, 0.000000,
    0.949600,  -0.154900, -0.272400, 0.944872,  0.423701,  0.406365,  -0.147619,
    -0.251150, 0.000000,  0.815200,  -0.285700, -0.503800, 0.881711,  0.361339,
    0.425324,  0.000000,  -0.262868, 0.000000,  0.850600,  0.000000,  -0.525700,
    0.899520,  0.500000,  0.473607,  -0.081229, -0.138198, 0.000000,  0.949600,
    -0.154900, -0.272400, 0.944872,  0.423701,  0.473607,  -0.081229, -0.138198,
    0.000000,  0.949600,  -0.154900, -0.272400, 0.944872,  0.423701,  0.425324,
    0.000000,  -0.262868, 0.000000,  0.850600,  0.000000,  -0.525700, 0.899520,
    0.500000,  0.473607,  0.081229,  -0.138198, 0.000000,  0.949600,  0.154900,
    -0.272400, 0.944872,  0.576300,  0.425324,  0.000000,  -0.262868, 0.000000,
    0.850600,  0.000000,  -0.525700, 0.899520,  0.500000,  0.406365,  0.147619,
    -0.251150, 0.000000,  0.815200,  0.285700,  -0.503800, 0.881711,  0.638661,
    0.473607,  0.081229,  -0.138198, 0.000000,  0.949600,  0.154900,  -0.272400,
    0.944872,  0.576300,  0.473607,  0.081229,  -0.138198, 0.000000,  0.949600,
    0.154900,  -0.272400, 0.944872,  0.576300,  0.406365,  0.147619,  -0.251150,
    0.000000,  0.815200,  0.285700,  -0.503800, 0.881711,  0.638661,  0.430349,
    0.221429,  -0.125575, 0.000000,  0.865000,  0.439000,  -0.243000, 0.904240,
    0.707992,  0.406365,  0.147619,  -0.251150, 0.000000,  0.815200,  0.285700,
    -0.503800, 0.881711,  0.638661,  0.361804,  0.262863,  -0.223610, 0.000000,
    0.723600,  0.525700,  -0.447200, 0.839854,  0.746912,  0.430349,  0.221429,
    -0.125575, 0.000000,  0.865000,  0.439000,  -0.243000, 0.904240,  0.707992,
    0.304773,  0.221428,  -0.328759, 0.000000,  0.604200,  0.439000,  -0.665000,
    0.786285,  0.707992,  0.265970,  0.340856,  -0.251151, 0.000000,  0.523600,
    0.687000,  -0.503800, 0.749836,  0.820172,  0.361804,  0.262863,  -0.223610,
    0.000000,  0.723600,  0.525700,  -0.447200, 0.839854,  0.746912,  0.212661,
    0.154506,  -0.425327, 0.000000,  0.425300,  0.309000,  -0.850600, 0.699762,
    0.645130,  0.180902,  0.293890,  -0.361806, 0.000000,  0.353800,  0.587800,
    -0.727500, 0.669929,  0.776056,  0.304773,  0.221428,  -0.328759, 0.000000,
    0.604200,  0.439000,  -0.665000, 0.786285,  0.707992,  0.101590,  0.073809,
    -0.483975, 0.000000,  0.210900,  0.153300,  -0.965400, 0.595431,  0.569330,
    0.069098,  0.212661,  -0.447215, 0.000000,  0.140600,  0.432800,  -0.890400,
    0.564911,  0.699756,  0.212661,  0.154506,  -0.425327, 0.000000,  0.425300,
    0.309000,  -0.850600, 0.699762,  0.645130,  0.304773,  0.221428,  -0.328759,
    0.000000,  0.604200,  0.439000,  -0.665000, 0.786285,  0.707992,  0.180902,
    0.293890,  -0.361806, 0.000000,  0.353800,  0.587800,  -0.727500, 0.669929,
    0.776056,  0.265970,  0.340856,  -0.251151, 0.000000,  0.523600,  0.687000,
    -0.503800, 0.749836,  0.820172,  0.180902,  0.293890,  -0.361806, 0.000000,
    0.353800,  0.587800,  -0.727500, 0.669929,  0.776056,  0.131434,  0.404506,
    -0.262869, 0.000000,  0.262900,  0.809000,  -0.525700, 0.623464,  0.879960,
    0.265970,  0.340856,  -0.251151, 0.000000,  0.523600,  0.687000,  -0.503800,
    0.749836,  0.820172,  0.212661,  0.154506,  -0.425327, 0.000000,  0.425300,
    0.309000,  -0.850600, 0.699762,  0.645130,  0.069098,  0.212661,  -0.447215,
    0.000000,  0.140600,  0.432800,  -0.890400, 0.564911,  0.699756,  0.180902,
    0.293890,  -0.361806, 0.000000,  0.353800,  0.587800,  -0.727500, 0.669929,
    0.776056,  0.069098,  0.212661,  -0.447215, 0.000000,  0.140600,  0.432800,
    -0.890400, 0.564911,  0.699756,  0.026395,  0.344093,  -0.361805, 0.000000,
    0.059200,  0.683500,  -0.727500, 0.524798,  0.823213,  0.180902,  0.293890,
    -0.361806, 0.000000,  0.353800,  0.587800,  -0.727500, 0.669929,  0.776056,
    0.180902,  0.293890,  -0.361806, 0.000000,  0.353800,  0.587800,  -0.727500,
    0.669929,  0.776056,  0.026395,  0.344093,  -0.361805, 0.000000,  0.059200,
    0.683500,  -0.727500, 0.524798,  0.823213,  0.131434,  0.404506,  -0.262869,
    0.000000,  0.262900,  0.809000,  -0.525700, 0.623464,  0.879960,  0.026395,
    0.344093,  -0.361805, 0.000000,  0.059200,  0.683500,  -0.727500, 0.524798,
    0.823213,  -0.014820, 0.432092,  -0.251151, 0.000000,  -0.019800, 0.863600,
    -0.503800, 0.486085,  0.905872,  0.131434,  0.404506,  -0.262869, 0.000000,
    0.262900,  0.809000,  -0.525700, 0.623464,  0.879960,  0.101590,  0.073809,
    -0.483975, 0.000000,  0.210900,  0.153300,  -0.965400, 0.595431,  0.569330,
    -0.038803, 0.119426,  -0.483975, 0.000000,  -0.080600, 0.248000,  -0.965400,
    0.463557,  0.612180,  0.069098,  0.212661,  -0.447215, 0.000000,  0.140600,
    0.432800,  -0.890400, 0.564911,  0.699756,  -0.038803, 0.119426,  -0.483975,
    0.000000,  -0.080600, 0.248000,  -0.965400, 0.463557,  0.612180,  -0.081228,
    0.249998,  -0.425327, 0.000000,  -0.162500, 0.500000,  -0.850600, 0.423707,
    0.734827,  0.069098,  0.212661,  -0.447215, 0.000000,  0.140600,  0.432800,
    -0.890400, 0.564911,  0.699756,  0.069098,  0.212661,  -0.447215, 0.000000,
    0.140600,  0.432800,  -0.890400, 0.564911,  0.699756,  -0.081228, 0.249998,
    -0.425327, 0.000000,  -0.162500, 0.500000,  -0.850600, 0.423707,  0.734827,
    0.026395,  0.344093,  -0.361805, 0.000000,  0.059200,  0.683500,  -0.727500,
    0.524798,  0.823213,  -0.081228, 0.249998,  -0.425327, 0.000000,  -0.162500,
    0.500000,  -0.850600, 0.423707,  0.734827,  -0.116411, 0.358282,  -0.328760,
    0.000000,  -0.230800, 0.710300,  -0.665000, 0.390659,  0.836541,  0.026395,
    0.344093,  -0.361805, 0.000000,  0.059200,  0.683500,  -0.727500, 0.524798,
    0.823213,  0.026395,  0.344093,  -0.361805, 0.000000,  0.059200,  0.683500,
    -0.727500, 0.524798,  0.823213,  -0.116411, 0.358282,  -0.328760, 0.000000,
    -0.230800, 0.710300,  -0.665000, 0.390659,  0.836541,  -0.014820, 0.432092,
    -0.251151, 0.000000,  -0.019800, 0.863600,  -0.503800, 0.486085,  0.905872,
    -0.116411, 0.358282,  -0.328760, 0.000000,  -0.230800, 0.710300,  -0.665000,
    0.390659,  0.836541,  -0.138194, 0.425325,  -0.223610, 0.000000,  -0.276400,
    0.850600,  -0.447200, 0.370198,  0.899515,  -0.014820, 0.432092,  -0.251151,
    0.000000,  -0.019800, 0.863600,  -0.503800, 0.486085,  0.905872,  -0.116411,
    0.358282,  -0.328760, 0.000000,  -0.230800, 0.710300,  -0.665000, 0.390659,
    0.836541,  -0.241986, 0.358282,  -0.251151, 0.000000,  -0.491500, 0.710300,
    -0.503800, 0.272704,  0.836541,  -0.138194, 0.425325,  -0.223610, 0.000000,
    -0.276400, 0.850600,  -0.447200, 0.370198,  0.899515,  -0.081228, 0.249998,
    -0.425327, 0.000000,  -0.162500, 0.500000,  -0.850600, 0.423707,  0.734827,
    -0.223605, 0.262864,  -0.361806, 0.000000,  -0.449600, 0.518100,  -0.727500,
    0.289969,  0.746913,  -0.116411, 0.358282,  -0.328760, 0.000000,  -0.230800,
    0.710300,  -0.665000, 0.390659,  0.836541,  -0.038803, 0.119426,  -0.483975,
    0.000000,  -0.080600, 0.248000,  -0.965400, 0.463557,  0.612180,  -0.180901,
    0.131431,  -0.447214, 0.000000,  -0.368200, 0.267500,  -0.890400, 0.330082,
    0.623456,  -0.081228, 0.249998,  -0.425327, 0.000000,  -0.162500, 0.500000,
    -0.850600, 0.423707,  0.734827,  -0.116411, 0.358282,  -0.328760, 0.000000,
    -0.230800, 0.710300,  -0.665000, 0.390659,  0.836541,  -0.223605, 0.262864,
    -0.361806, 0.000000,  -0.449600, 0.518100,  -0.727500, 0.289969,  0.746913,
    -0.241986, 0.358282,  -0.251151, 0.000000,  -0.491500, 0.710300,  -0.503800,
    0.272704,  0.836541,  -0.223605, 0.262864,  -0.361806, 0.000000,  -0.449600,
    0.518100,  -0.727500, 0.289969,  0.746913,  -0.344095, 0.249999,  -0.262868,
    0.000000,  -0.688200, 0.500000,  -0.525700, 0.176791,  0.734828,  -0.241986,
    0.358282,  -0.251151, 0.000000,  -0.491500, 0.710300,  -0.503800, 0.272704,
    0.836541,  -0.081228, 0.249998,  -0.425327, 0.000000,  -0.162500, 0.500000,
    -0.850600, 0.423707,  0.734827,  -0.180901, 0.131431,  -0.447214, 0.000000,
    -0.368200, 0.267500,  -0.890400, 0.330082,  0.623456,  -0.223605, 0.262864,
    -0.361806, 0.000000,  -0.449600, 0.518100,  -0.727500, 0.289969,  0.746913,
    -0.180901, 0.131431,  -0.447214, 0.000000,  -0.368200, 0.267500,  -0.890400,
    0.330082,  0.623456,  -0.319097, 0.131431,  -0.361805, 0.000000,  -0.631700,
    0.267500,  -0.727500, 0.200272,  0.623456,  -0.223605, 0.262864,  -0.361806,
    0.000000,  -0.449600, 0.518100,  -0.727500, 0.289969,  0.746913,  -0.223605,
    0.262864,  -0.361806, 0.000000,  -0.449600, 0.518100,  -0.727500, 0.289969,
    0.746913,  -0.319097, 0.131431,  -0.361805, 0.000000,  -0.631700, 0.267500,
    -0.727500, 0.200272,  0.623456,  -0.344095, 0.249999,  -0.262868, 0.000000,
    -0.688200, 0.500000,  -0.525700, 0.176791,  0.734828,  -0.319097, 0.131431,
    -0.361805, 0.000000,  -0.631700, 0.267500,  -0.727500, 0.200272,  0.623456,
    -0.415525, 0.119427,  -0.251149, 0.000000,  -0.827400, 0.248000,  -0.503800,
    0.109696,  0.612180,  -0.344095, 0.249999,  -0.262868, 0.000000,  -0.688200,
    0.500000,  -0.525700, 0.176791,  0.734828,  -0.038803, 0.119426,  -0.483975,
    0.000000,  -0.080600, 0.248000,  -0.965400, 0.463557,  0.612180,  -0.125574,
    0.000000,  -0.483974, 0.000000,  -0.260800, 0.000000,  -0.965400, 0.382052,
    0.500000,  -0.180901, 0.131431,  -0.447214, 0.000000,  -0.368200, 0.267500,
    -0.890400, 0.330082,  0.623456,  -0.125574, 0.000000,  -0.483974, 0.000000,
    -0.260800, 0.000000,  -0.965400, 0.382052,  0.500000,  -0.262865, 0.000000,
    -0.425326, 0.000000,  -0.525700, 0.000000,  -0.850600, 0.253092,  0.500000,
    -0.180901, 0.131431,  -0.447214, 0.000000,  -0.368200, 0.267500,  -0.890400,
    0.330082,  0.623456,  -0.180901, 0.131431,  -0.447214, 0.000000,  -0.368200,
    0.267500,  -0.890400, 0.330082,  0.623456,  -0.262865, 0.000000,  -0.425326,
    0.000000,  -0.525700, 0.000000,  -0.850600, 0.253092,  0.500000,  -0.319097,
    0.131431,  -0.361805, 0.000000,  -0.631700, 0.267500,  -0.727500, 0.200272,
    0.623456,  -0.262865, 0.000000,  -0.425326, 0.000000,  -0.525700, 0.000000,
    -0.850600, 0.253092,  0.500000,  -0.376721, 0.000000,  -0.328757, 0.000000,
    -0.746800, 0.000000,  -0.665000, 0.146145,  0.500000,  -0.319097, 0.131431,
    -0.361805, 0.000000,  -0.631700, 0.267500,  -0.727500, 0.200272,  0.623456,
    -0.319097, 0.131431,  -0.361805, 0.000000,  -0.631700, 0.267500,  -0.727500,
    0.200272,  0.623456,  -0.376721, 0.000000,  -0.328757, 0.000000,  -0.746800,
    0.000000,  -0.665000, 0.146145,  0.500000,  -0.415525, 0.119427,  -0.251149,
    0.000000,  -0.827400, 0.248000,  -0.503800, 0.109696,  0.612180,  -0.376721,
    0.000000,  -0.328757, 0.000000,  -0.746800, 0.000000,  -0.665000, 0.146145,
    0.500000,  -0.447213, 0.000000,  -0.223608, 0.000000,  -0.894400, 0.000000,
    -0.447200, 0.079931,  0.500000,  -0.415525, 0.119427,  -0.251149, 0.000000,
    -0.827400, 0.248000,  -0.503800, 0.109696,  0.612180,  -0.376721, 0.000000,
    -0.328757, 0.000000,  -0.746800, 0.000000,  -0.665000, 0.146145,  0.500000,
    -0.415525, -0.119427, -0.251149, 0.000000,  -0.827400, -0.248000, -0.503800,
    0.109696,  0.387821,  -0.447213, 0.000000,  -0.223608, 0.000000,  -0.894400,
    0.000000,  -0.447200, 0.079931,  0.500000,  -0.262865, 0.000000,  -0.425326,
    0.000000,  -0.525700, 0.000000,  -0.850600, 0.253092,  0.500000,  -0.319097,
    -0.131432, -0.361805, 0.000000,  -0.631700, -0.267500, -0.727500, 0.200272,
    0.376544,  -0.376721, 0.000000,  -0.328757, 0.000000,  -0.746800, 0.000000,
    -0.665000, 0.146145,  0.500000,  -0.125574, 0.000000,  -0.483974, 0.000000,
    -0.260800, 0.000000,  -0.965400, 0.382052,  0.500000,  -0.180901, -0.131432,
    -0.447214, 0.000000,  -0.368200, -0.267500, -0.890400, 0.330082,  0.376544,
    -0.262865, 0.000000,  -0.425326, 0.000000,  -0.525700, 0.000000,  -0.850600,
    0.253092,  0.500000,  -0.376721, 0.000000,  -0.328757, 0.000000,  -0.746800,
    0.000000,  -0.665000, 0.146145,  0.500000,  -0.319097, -0.131432, -0.361805,
    0.000000,  -0.631700, -0.267500, -0.727500, 0.200272,  0.376544,  -0.415525,
    -0.119427, -0.251149, 0.000000,  -0.827400, -0.248000, -0.503800, 0.109696,
    0.387821,  -0.319097, -0.131432, -0.361805, 0.000000,  -0.631700, -0.267500,
    -0.727500, 0.200272,  0.376544,  -0.344095, -0.249998, -0.262868, 0.000000,
    -0.688200, -0.500000, -0.525700, 0.176791,  0.265172,  -0.415525, -0.119427,
    -0.251149, 0.000000,  -0.827400, -0.248000, -0.503800, 0.109696,  0.387821,
    -0.262865, 0.000000,  -0.425326, 0.000000,  -0.525700, 0.000000,  -0.850600,
    0.253092,  0.500000,  -0.180901, -0.131432, -0.447214, 0.000000,  -0.368200,
    -0.267500, -0.890400, 0.330082,  0.376544,  -0.319097, -0.131432, -0.361805,
    0.000000,  -0.631700, -0.267500, -0.727500, 0.200272,  0.376544,  -0.180901,
    -0.131432, -0.447214, 0.000000,  -0.368200, -0.267500, -0.890400, 0.330082,
    0.376544,  -0.223605, -0.262864, -0.361805, 0.000000,  -0.449600, -0.518100,
    -0.727500, 0.289969,  0.253087,  -0.319097, -0.131432, -0.361805, 0.000000,
    -0.631700, -0.267500, -0.727500, 0.200272,  0.376544,  -0.319097, -0.131432,
    -0.361805, 0.000000,  -0.631700, -0.267500, -0.727500, 0.200272,  0.376544,
    -0.223605, -0.262864, -0.361805, 0.000000,  -0.449600, -0.518100, -0.727500,
    0.289969,  0.253087,  -0.344095, -0.249998, -0.262868, 0.000000,  -0.688200,
    -0.500000, -0.525700, 0.176791,  0.265172,  -0.223605, -0.262864, -0.361805,
    0.000000,  -0.449600, -0.518100, -0.727500, 0.289969,  0.253087,  -0.241986,
    -0.358282, -0.251151, 0.000000,  -0.491500, -0.710300, -0.503800, 0.272704,
    0.163460,  -0.344095, -0.249998, -0.262868, 0.000000,  -0.688200, -0.500000,
    -0.525700, 0.176791,  0.265172,  -0.125574, 0.000000,  -0.483974, 0.000000,
    -0.260800, 0.000000,  -0.965400, 0.382052,  0.500000,  -0.038803, -0.119426,
    -0.483975, 0.000000,  -0.080600, -0.248000, -0.965400, 0.463557,  0.387821,
    -0.180901, -0.131432, -0.447214, 0.000000,  -0.368200, -0.267500, -0.890400,
    0.330082,  0.376544,  -0.038803, -0.119426, -0.483975, 0.000000,  -0.080600,
    -0.248000, -0.965400, 0.463557,  0.387821,  -0.081228, -0.249998, -0.425327,
    0.000000,  -0.162500, -0.500000, -0.850600, 0.423707,  0.265173,  -0.180901,
    -0.131432, -0.447214, 0.000000,  -0.368200, -0.267500, -0.890400, 0.330082,
    0.376544,  -0.180901, -0.131432, -0.447214, 0.000000,  -0.368200, -0.267500,
    -0.890400, 0.330082,  0.376544,  -0.081228, -0.249998, -0.425327, 0.000000,
    -0.162500, -0.500000, -0.850600, 0.423707,  0.265173,  -0.223605, -0.262864,
    -0.361805, 0.000000,  -0.449600, -0.518100, -0.727500, 0.289969,  0.253087,
    -0.081228, -0.249998, -0.425327, 0.000000,  -0.162500, -0.500000, -0.850600,
    0.423707,  0.265173,  -0.116411, -0.358282, -0.328760, 0.000000,  -0.230800,
    -0.710300, -0.665000, 0.390659,  0.163460,  -0.223605, -0.262864, -0.361805,
    0.000000,  -0.449600, -0.518100, -0.727500, 0.289969,  0.253087,  -0.223605,
    -0.262864, -0.361805, 0.000000,  -0.449600, -0.518100, -0.727500, 0.289969,
    0.253087,  -0.116411, -0.358282, -0.328760, 0.000000,  -0.230800, -0.710300,
    -0.665000, 0.390659,  0.163460,  -0.241986, -0.358282, -0.251151, 0.000000,
    -0.491500, -0.710300, -0.503800, 0.272704,  0.163460,  -0.116411, -0.358282,
    -0.328760, 0.000000,  -0.230800, -0.710300, -0.665000, 0.390659,  0.163460,
    -0.138194, -0.425325, -0.223610, 0.000000,  -0.276400, -0.850600, -0.447200,
    0.370198,  0.100486,  -0.241986, -0.358282, -0.251151, 0.000000,  -0.491500,
    -0.710300, -0.503800, 0.272704,  0.163460,  0.406365,  0.147619,  -0.251150,
    0.000000,  0.815200,  0.285700,  -0.503800, 0.881711,  0.638661,  0.304773,
    0.221428,  -0.328759, 0.000000,  0.604200,  0.439000,  -0.665000, 0.786285,
    0.707992,  0.361804,  0.262863,  -0.223610, 0.000000,  0.723600,  0.525700,
    -0.447200, 0.839854,  0.746912,  0.425324,  0.000000,  -0.262868, 0.000000,
    0.850600,  0.000000,  -0.525700, 0.899520,  0.500000,  0.335409,  0.081228,
    -0.361805, 0.000000,  0.668300,  0.154900,  -0.727500, 0.815061,  0.576300,
    0.406365,  0.147619,  -0.251150, 0.000000,  0.815200,  0.285700,  -0.503800,
    0.881711,  0.638661,  0.406365,  -0.147619, -0.251150, 0.000000,  0.815200,
    -0.285700, -0.503800, 0.881711,  0.361339,  0.335409,  -0.081229, -0.361805,
    0.000000,  0.668300,  -0.154900, -0.727500, 0.815061,  0.423701,  0.425324,
    0.000000,  -0.262868, 0.000000,  0.850600,  0.000000,  -0.525700, 0.899520,
    0.500000,  0.406365,  0.147619,  -0.251150, 0.000000,  0.815200,  0.285700,
    -0.503800, 0.881711,  0.638661,  0.335409,  0.081228,  -0.361805, 0.000000,
    0.668300,  0.154900,  -0.727500, 0.815061,  0.576300,  0.304773,  0.221428,
    -0.328759, 0.000000,  0.604200,  0.439000,  -0.665000, 0.786285,  0.707992,
    0.335409,  0.081228,  -0.361805, 0.000000,  0.668300,  0.154900,  -0.727500,
    0.815061,  0.576300,  0.212661,  0.154506,  -0.425327, 0.000000,  0.425300,
    0.309000,  -0.850600, 0.699762,  0.645130,  0.304773,  0.221428,  -0.328759,
    0.000000,  0.604200,  0.439000,  -0.665000, 0.786285,  0.707992,  0.425324,
    0.000000,  -0.262868, 0.000000,  0.850600,  0.000000,  -0.525700, 0.899520,
    0.500000,  0.335409,  -0.081229, -0.361805, 0.000000,  0.668300,  -0.154900,
    -0.727500, 0.815061,  0.423701,  0.335409,  0.081228,  -0.361805, 0.000000,
    0.668300,  0.154900,  -0.727500, 0.815061,  0.576300,  0.335409,  -0.081229,
    -0.361805, 0.000000,  0.668300,  -0.154900, -0.727500, 0.815061,  0.423701,
    0.223605,  -0.000000, -0.447214, 0.000000,  0.455100,  0.000000,  -0.890400,
    0.710042,  0.500000,  0.335409,  0.081228,  -0.361805, 0.000000,  0.668300,
    0.154900,  -0.727500, 0.815061,  0.576300,  0.335409,  0.081228,  -0.361805,
    0.000000,  0.668300,  0.154900,  -0.727500, 0.815061,  0.576300,  0.223605,
    -0.000000, -0.447214, 0.000000,  0.455100,  0.000000,  -0.890400, 0.710042,
    0.500000,  0.212661,  0.154506,  -0.425327, 0.000000,  0.425300,  0.309000,
    -0.850600, 0.699762,  0.645130,  0.223605,  -0.000000, -0.447214, 0.000000,
    0.455100,  0.000000,  -0.890400, 0.710042,  0.500000,  0.101590,  0.073809,
    -0.483975, 0.000000,  0.210900,  0.153300,  -0.965400, 0.595431,  0.569330,
    0.212661,  0.154506,  -0.425327, 0.000000,  0.425300,  0.309000,  -0.850600,
    0.699762,  0.645130,  0.406365,  -0.147619, -0.251150, 0.000000,  0.815200,
    -0.285700, -0.503800, 0.881711,  0.361339,  0.304773,  -0.221428, -0.328759,
    0.000000,  0.604200,  -0.439000, -0.665000, 0.786285,  0.292009,  0.335409,
    -0.081229, -0.361805, 0.000000,  0.668300,  -0.154900, -0.727500, 0.815061,
    0.423701,  0.304773,  -0.221428, -0.328759, 0.000000,  0.604200,  -0.439000,
    -0.665000, 0.786285,  0.292009,  0.212661,  -0.154506, -0.425327, 0.000000,
    0.425300,  -0.309000, -0.850600, 0.699762,  0.354870,  0.335409,  -0.081229,
    -0.361805, 0.000000,  0.668300,  -0.154900, -0.727500, 0.815061,  0.423701,
    0.335409,  -0.081229, -0.361805, 0.000000,  0.668300,  -0.154900, -0.727500,
    0.815061,  0.423701,  0.212661,  -0.154506, -0.425327, 0.000000,  0.425300,
    -0.309000, -0.850600, 0.699762,  0.354870,  0.223605,  -0.000000, -0.447214,
    0.000000,  0.455100,  0.000000,  -0.890400, 0.710042,  0.500000,  0.212661,
    -0.154506, -0.425327, 0.000000,  0.425300,  -0.309000, -0.850600, 0.699762,
    0.354870,  0.101590,  -0.073809, -0.483975, 0.000000,  0.210900,  -0.153300,
    -0.965400, 0.595431,  0.430670,  0.223605,  -0.000000, -0.447214, 0.000000,
    0.455100,  0.000000,  -0.890400, 0.710042,  0.500000,  0.223605,  -0.000000,
    -0.447214, 0.000000,  0.455100,  0.000000,  -0.890400, 0.710042,  0.500000,
    0.101590,  -0.073809, -0.483975, 0.000000,  0.210900,  -0.153300, -0.965400,
    0.595431,  0.430670,  0.101590,  0.073809,  -0.483975, 0.000000,  0.210900,
    0.153300,  -0.965400, 0.595431,  0.569330,  0.101590,  -0.073809, -0.483975,
    0.000000,  0.210900,  -0.153300, -0.965400, 0.595431,  0.430670,  -0.000000,
    0.000000,  -0.500000, 0.000000,  0.000000,  0.000000,  -1.000000, 0.500005,
    0.500000,  0.101590,  0.073809,  -0.483975, 0.000000,  0.210900,  0.153300,
    -0.965400, 0.595431,  0.569330,  -0.116411, -0.358282, -0.328760, 0.000000,
    -0.230800, -0.710300, -0.665000, 0.390659,  0.163460,  -0.014820, -0.432092,
    -0.251151, 0.000000,  -0.019800, -0.863600, -0.503800, 0.486085,  0.094129,
    -0.138194, -0.425325, -0.223610, 0.000000,  -0.276400, -0.850600, -0.447200,
    0.370198,  0.100486,  -0.081228, -0.249998, -0.425327, 0.000000,  -0.162500,
    -0.500000, -0.850600, 0.423707,  0.265173,  0.026395,  -0.344093, -0.361806,
    0.000000,  0.059200,  -0.683500, -0.727500, 0.524799,  0.176788,  -0.116411,
    -0.358282, -0.328760, 0.000000,  -0.230800, -0.710300, -0.665000, 0.390659,
    0.163460,  -0.038803, -0.119426, -0.483975, 0.000000,  -0.080600, -0.248000,
    -0.965400, 0.463557,  0.387821,  0.069099,  -0.212660, -0.447215, 0.000000,
    0.140600,  -0.432800, -0.890400, 0.564912,  0.300245,  -0.081228, -0.249998,
    -0.425327, 0.000000,  -0.162500, -0.500000, -0.850600, 0.423707,  0.265173,
    -0.116411, -0.358282, -0.328760, 0.000000,  -0.230800, -0.710300, -0.665000,
    0.390659,  0.163460,  0.026395,  -0.344093, -0.361806, 0.000000,  0.059200,
    -0.683500, -0.727500, 0.524799,  0.176788,  -0.014820, -0.432092, -0.251151,
    0.000000,  -0.019800, -0.863600, -0.503800, 0.486085,  0.094129,  0.026395,
    -0.344093, -0.361806, 0.000000,  0.059200,  -0.683500, -0.727500, 0.524799,
    0.176788,  0.131434,  -0.404506, -0.262869, 0.000000,  0.262900,  -0.809000,
    -0.525700, 0.623464,  0.120041,  -0.014820, -0.432092, -0.251151, 0.000000,
    -0.019800, -0.863600, -0.503800, 0.486085,  0.094129,  -0.081228, -0.249998,
    -0.425327, 0.000000,  -0.162500, -0.500000, -0.850600, 0.423707,  0.265173,
    0.069099,  -0.212660, -0.447215, 0.000000,  0.140600,  -0.432800, -0.890400,
    0.564912,  0.300245,  0.026395,  -0.344093, -0.361806, 0.000000,  0.059200,
    -0.683500, -0.727500, 0.524799,  0.176788,  0.069099,  -0.212660, -0.447215,
    0.000000,  0.140600,  -0.432800, -0.890400, 0.564912,  0.300245,  0.180902,
    -0.293890, -0.361805, 0.000000,  0.353800,  -0.587800, -0.727500, 0.669930,
    0.223945,  0.026395,  -0.344093, -0.361806, 0.000000,  0.059200,  -0.683500,
    -0.727500, 0.524799,  0.176788,  0.026395,  -0.344093, -0.361806, 0.000000,
    0.059200,  -0.683500, -0.727500, 0.524799,  0.176788,  0.180902,  -0.293890,
    -0.361805, 0.000000,  0.353800,  -0.587800, -0.727500, 0.669930,  0.223945,
    0.131434,  -0.404506, -0.262869, 0.000000,  0.262900,  -0.809000, -0.525700,
    0.623464,  0.120041,  0.180902,  -0.293890, -0.361805, 0.000000,  0.353800,
    -0.587800, -0.727500, 0.669930,  0.223945,  0.265970,  -0.340856, -0.251151,
    0.000000,  0.523600,  -0.687000, -0.503800, 0.749836,  0.179828,  0.131434,
    -0.404506, -0.262869, 0.000000,  0.262900,  -0.809000, -0.525700, 0.623464,
    0.120041,  -0.038803, -0.119426, -0.483975, 0.000000,  -0.080600, -0.248000,
    -0.965400, 0.463557,  0.387821,  0.101590,  -0.073809, -0.483975, 0.000000,
    0.210900,  -0.153300, -0.965400, 0.595431,  0.430670,  0.069099,  -0.212660,
    -0.447215, 0.000000,  0.140600,  -0.432800, -0.890400, 0.564912,  0.300245,
    0.101590,  -0.073809, -0.483975, 0.000000,  0.210900,  -0.153300, -0.965400,
    0.595431,  0.430670,  0.212661,  -0.154506, -0.425327, 0.000000,  0.425300,
    -0.309000, -0.850600, 0.699762,  0.354870,  0.069099,  -0.212660, -0.447215,
    0.000000,  0.140600,  -0.432800, -0.890400, 0.564912,  0.300245,  0.069099,
    -0.212660, -0.447215, 0.000000,  0.140600,  -0.432800, -0.890400, 0.564912,
    0.300245,  0.212661,  -0.154506, -0.425327, 0.000000,  0.425300,  -0.309000,
    -0.850600, 0.699762,  0.354870,  0.180902,  -0.293890, -0.361805, 0.000000,
    0.353800,  -0.587800, -0.727500, 0.669930,  0.223945,  0.212661,  -0.154506,
    -0.425327, 0.000000,  0.425300,  -0.309000, -0.850600, 0.699762,  0.354870,
    0.304773,  -0.221428, -0.328759, 0.000000,  0.604200,  -0.439000, -0.665000,
    0.786285,  0.292009,  0.180902,  -0.293890, -0.361805, 0.000000,  0.353800,
    -0.587800, -0.727500, 0.669930,  0.223945,  0.180902,  -0.293890, -0.361805,
    0.000000,  0.353800,  -0.587800, -0.727500, 0.669930,  0.223945,  0.304773,
    -0.221428, -0.328759, 0.000000,  0.604200,  -0.439000, -0.665000, 0.786285,
    0.292009,  0.265970,  -0.340856, -0.251151, 0.000000,  0.523600,  -0.687000,
    -0.503800, 0.749836,  0.179828,  0.304773,  -0.221428, -0.328759, 0.000000,
    0.604200,  -0.439000, -0.665000, 0.786285,  0.292009,  0.361804,  -0.262863,
    -0.223610, 0.000000,  0.723600,  -0.525700, -0.447200, 0.839854,  0.253089,
    0.265970,  -0.340856, -0.251151, 0.000000,  0.523600,  -0.687000, -0.503800,
    0.749836,  0.179828,
};

static const int textured_sphere_indices[] = {
    0,   1,   2,   3,   4,   5,   6,   7,   8,   9,   10,  11,  12,  13,  14,
    15,  16,  17,  18,  19,  20,  21,  22,  23,  24,  25,  26,  27,  28,  29,
    30,  31,  32,  33,  34,  35,  36,  37,  38,  39,  40,  41,  42,  43,  44,
    45,  46,  47,  48,  49,  50,  51,  52,  53,  54,  55,  56,  57,  58,  59,
    60,  61,  62,  63,  64,  65,  66,  67,  68,  69,  70,  71,  72,  73,  74,
    75,  76,  77,  78,  79,  80,  81,  82,  83,  84,  85,  86,  87,  88,  89,
    90,  91,  92,  93,  94,  95,  96,  97,  98,  99,  100, 101, 102, 103, 104,
    105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119,
    120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134,
    135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149,
    150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 163, 164,
    165, 166, 167, 168, 169, 170, 171, 172, 173, 174, 175, 176, 177, 178, 179,
    180, 181, 182, 183, 184, 185, 186, 187, 188, 189, 190, 191, 192, 193, 194,
    195, 196, 197, 198, 199, 200, 201, 202, 203, 204, 205, 206, 207, 208, 209,
    210, 211, 212, 213, 214, 215, 216, 217, 218, 219, 220, 221, 222, 223, 224,
    225, 226, 227, 228, 229, 230, 231, 232, 233, 234, 235, 236, 237, 238, 239,
    240, 241, 242, 243, 244, 245, 246, 247, 248, 249, 250, 251, 252, 253, 254,
    255, 256, 257, 258, 259, 260, 261, 262, 263, 264, 265, 266, 267, 268, 269,
    270, 271, 272, 273, 274, 275, 276, 277, 278, 279, 280, 281, 282, 283, 284,
    285, 286, 287, 288, 289, 290, 291, 292, 293, 294, 295, 296, 297, 298, 299,
    300, 301, 302, 303, 304, 305, 306, 307, 308, 309, 310, 311, 312, 313, 314,
    315, 316, 317, 318, 319, 320, 321, 322, 323, 324, 325, 326, 327, 328, 329,
    330, 331, 332, 333, 334, 335, 336, 337, 338, 339, 340, 341, 342, 343, 344,
    345, 346, 347, 348, 349, 350, 351, 352, 353, 354, 355, 356, 357, 358, 359,
    360, 361, 362, 363, 364, 365, 366, 367, 368, 369, 370, 371, 372, 373, 374,
    375, 376, 377, 378, 379, 380, 381, 382, 383, 384, 385, 386, 387, 388, 389,
    390, 391, 392, 393, 394, 395, 396, 397, 398, 399, 400, 401, 402, 403, 404,
    405, 406, 407, 408, 409, 410, 411, 412, 413, 414, 415, 416, 417, 418, 419,
    420, 421, 422, 423, 424, 425, 426, 427, 428, 429, 430, 431, 432, 433, 434,
    435, 436, 437, 438, 439, 440, 441, 442, 443, 444, 445, 446, 447, 448, 449,
    450, 451, 452, 453, 454, 455, 456, 457, 458, 459, 460, 461, 462, 463, 464,
    465, 466, 467, 468, 469, 470, 471, 472, 473, 474, 475, 476, 477, 478, 479,
    480, 481, 482, 483, 484, 485, 486, 487, 488, 489, 490, 491, 492, 493, 494,
    495, 496, 497, 498, 499, 500, 501, 502, 503, 504, 505, 506, 507, 508, 509,
    510, 511, 512, 513, 514, 515, 516, 517, 518, 519, 520, 521, 522, 523, 524,
    525, 526, 527, 528, 529, 530, 531, 532, 533, 534, 535, 536, 537, 538, 539,
    540, 541, 542, 543, 544, 545, 546, 547, 548, 549, 550, 551, 552, 553, 554,
    555, 556, 557, 558, 559, 560, 561, 562, 563, 564, 565, 566, 567, 568, 569,
    570, 571, 572, 573, 574, 575, 576, 577, 578, 579, 580, 581, 582, 583, 584,
    585, 586, 587, 588, 589, 590, 591, 592, 593, 594, 595, 596, 597, 598, 599,
    600, 601, 602, 603, 604, 605, 606, 607, 608, 609, 610, 611, 612, 613, 614,
    615, 616, 617, 618, 619, 620, 621, 622, 623, 624, 625, 626, 627, 628, 629,
    630, 631, 632, 633, 634, 635, 636, 637, 638, 639, 640, 641, 642, 643, 644,
    645, 646, 647, 648, 649, 650, 651, 652, 653, 654, 655, 656, 657, 658, 659,
    660, 661, 662, 663, 664, 665, 666, 667, 668, 669, 670, 671, 672, 673, 674,
    675, 676, 677, 678, 679, 680, 681, 682, 683, 684, 685, 686, 687, 688, 689,
    690, 691, 692, 693, 694, 695, 696, 697, 698, 699, 700, 701, 702, 703, 704,
    705, 706, 707, 708, 709, 710, 711, 712, 713, 714, 715, 716, 717, 718, 719,
    720, 721, 722, 723, 724, 725, 726, 727, 728, 729, 730, 731, 732, 733, 734,
    735, 736, 737, 738, 739, 740, 741, 742, 743, 744, 745, 746, 747, 748, 749,
    750, 751, 752, 753, 754, 755, 756, 757, 758, 759, 760, 761, 762, 763, 764,
    765, 766, 767, 768, 769, 770, 771, 772, 773, 774, 775, 776, 777, 778, 779,
    780, 781, 782, 783, 784, 785, 786, 787, 788, 789, 790, 791, 792, 793, 794,
    795, 796, 797, 798, 799, 800, 801, 802, 803, 804, 805, 806, 807, 808, 809,
    810, 811, 812, 813, 814, 815, 816, 817, 818, 819, 820, 821, 822, 823, 824,
    825, 826, 827, 828, 829, 830, 831, 832, 833, 834, 835, 836, 837, 838, 839,
    840, 841, 842, 843, 844, 845, 846, 847, 848, 849, 850, 851, 852, 853, 854,
    855, 856, 857, 858, 859, 860, 861, 862, 863, 864, 865, 866, 867, 868, 869,
    870, 871, 872, 873, 874, 875, 876, 877, 878, 879, 880, 881, 882, 883, 884,
    885, 886, 887, 888, 889, 890, 891, 892, 893, 894, 895, 896, 897, 898, 899,
    900, 901, 902, 903, 904, 905, 906, 907, 908, 909, 910, 911, 912, 913, 914,
    915, 916, 917, 918, 919, 920, 921, 922, 923, 924, 925, 926, 927, 928, 929,
    930, 931, 932, 933, 934, 935, 936, 937, 938, 939, 940, 941, 942, 943, 944,
    945, 946, 947, 948, 949, 950, 951, 952, 953, 954, 955, 956, 957, 958, 959,
};

#endif  // TINY_SHAPE_DATA_H
